diff -Nur alsa-driver-1.0.23/acore/modules.order alsa-driver-1.0.23-5.15rc1/acore/modules.order
--- alsa-driver-1.0.23/acore/modules.order	1970-01-01 01:00:00.000000000 +0100
+++ alsa-driver-1.0.23-5.15rc1/acore/modules.order	2010-04-30 11:45:42.000000000 +0200
@@ -0,0 +1,11 @@
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/oss/snd-mixer-oss.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/oss/snd-pcm-oss.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-hwdep.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-timer.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-page-alloc.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/seq/snd-seq.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/seq/snd-seq-device.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/seq/snd-seq-midi-event.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/seq/oss/snd-seq-oss.ko
diff -Nur alsa-driver-1.0.23/acore/oss/modules.order alsa-driver-1.0.23-5.15rc1/acore/oss/modules.order
--- alsa-driver-1.0.23/acore/oss/modules.order	1970-01-01 01:00:00.000000000 +0100
+++ alsa-driver-1.0.23-5.15rc1/acore/oss/modules.order	2010-04-30 11:45:41.000000000 +0200
@@ -0,0 +1,2 @@
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/oss/snd-mixer-oss.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/oss/snd-pcm-oss.ko
diff -Nur alsa-driver-1.0.23/acore/seq/modules.order alsa-driver-1.0.23-5.15rc1/acore/seq/modules.order
--- alsa-driver-1.0.23/acore/seq/modules.order	1970-01-01 01:00:00.000000000 +0100
+++ alsa-driver-1.0.23-5.15rc1/acore/seq/modules.order	2010-04-30 11:45:42.000000000 +0200
@@ -0,0 +1,4 @@
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/seq/snd-seq.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/seq/snd-seq-device.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/seq/snd-seq-midi-event.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/seq/oss/snd-seq-oss.ko
diff -Nur alsa-driver-1.0.23/acore/seq/oss/modules.order alsa-driver-1.0.23-5.15rc1/acore/seq/oss/modules.order
--- alsa-driver-1.0.23/acore/seq/oss/modules.order	1970-01-01 01:00:00.000000000 +0100
+++ alsa-driver-1.0.23-5.15rc1/acore/seq/oss/modules.order	2010-04-30 11:45:42.000000000 +0200
@@ -0,0 +1 @@
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/seq/oss/snd-seq-oss.ko
diff -Nur alsa-driver-1.0.23/alsa-kernel/include/version.h alsa-driver-1.0.23-5.15rc1/alsa-kernel/include/version.h
--- alsa-driver-1.0.23/alsa-kernel/include/version.h	2010-04-16 13:10:10.000000000 +0200
+++ alsa-driver-1.0.23-5.15rc1/alsa-kernel/include/version.h	2010-04-30 11:45:09.000000000 +0200
@@ -1,3 +1,3 @@
 /* include/version.h */
-#define CONFIG_SND_VERSION "1.0.23"
+#define CONFIG_SND_VERSION "1.0.23_v5.15rc1"
 #define CONFIG_SND_DATE ""
diff -Nur alsa-driver-1.0.23/alsa-kernel/pci/hda/patch_realtek.c alsa-driver-1.0.23-5.15rc1/alsa-kernel/pci/hda/patch_realtek.c
--- alsa-driver-1.0.23/alsa-kernel/pci/hda/patch_realtek.c	2010-04-16 13:10:10.000000000 +0200
+++ alsa-driver-1.0.23-5.15rc1/alsa-kernel/pci/hda/patch_realtek.c	2010-04-30 11:44:00.000000000 +0200
@@ -37,6 +37,8 @@
 #define ALC880_HP_EVENT			0x04
 #define ALC880_MIC_EVENT		0x08
 
+#define debugs_verb 0
+
 /* ALC880 board config type */
 enum {
 	ALC880_3ST,
@@ -199,6 +201,13 @@
 	ALC662_MODEL_LAST,
 };
 
+/* ALC680models */
+enum {
+	ALC680_BASE,
+	ALC680_AUTO,
+	ALC680_MODEL_LAST,
+};
+
 /* ALC882 models */
 enum {
 	ALC882_3ST_DIG,
@@ -1497,6 +1506,49 @@
 	return val;
 }
 
+#if debugs_verb
+enum {
+	PINFIX_DEBUG
+};
+
+static struct alc_pincfg alc_debug_pin_prefix[] = {
+	{ 0x12, 0x99a30920 },  /* Internal DMic*/
+//	{ 0x13, 0x99130110 },
+	{ 0x14, 0x99130110 },  /* Internal Spk*/
+	{ 0x15, 0x411111f0 },  
+	{ 0x16, 0x411111f0 },
+//	{ 0x17, 0x99130120 }, 
+	{ 0x18, 0x01a19830 },  /* External Mic*/
+	{ 0x19, 0x411111f0 }, 
+	{ 0x1a, 0x411111f0 },  /* HP */ 
+	{ 0x1b, 0x411111f0 },
+	{ 0x1c, 0x411111f0 },
+	{ 0x1d, 0x40168c2d },  /* Config */
+//	{ 0x20, 0x40138205 },
+	{ 0x21, 0x0121401f }, 
+	{ }
+};
+
+static const struct alc_fixup alc_debug_fixups[] = {
+	[PINFIX_DEBUG] = {
+		.pins = alc_debug_pin_prefix
+	},
+};
+
+static void alc_pick_no_ssid_fixup(struct hda_codec *codec,
+			   const struct alc_fixup *fix)
+{
+	const struct alc_pincfg *cfg;
+	cfg = fix->pins;
+	if (cfg) {
+		for (; cfg->nid; cfg++)
+			snd_hda_codec_set_pincfg(codec, cfg->nid, cfg->val);
+	}
+	if (fix->verbs)
+		add_verb(codec->spec, fix->verbs);
+}
+#endif
+
 /*
  * ALC888
  */
@@ -10518,7 +10570,9 @@
 		return -ENOMEM;
 
 	codec->spec = spec;
-
+#if debugs_verb
+	alc_pick_no_ssid_fixup(codec, alc_debug_fixups);
+#endif
 	alc_auto_parse_customize_define(codec);
 
 	switch (codec->vendor_id) {
@@ -14417,7 +14471,9 @@
 		return -ENOMEM;
 
 	codec->spec = spec;
-
+#if debugs_verb
+	alc_pick_no_ssid_fixup(codec, alc_debug_fixups);
+#endif
 	alc_auto_parse_customize_define(codec);
 
 	if ((alc_read_coef_idx(codec, 0) & 0x00f0) == 0x0010){
@@ -18657,6 +18713,10 @@
 
 	codec->spec = spec;
 
+#if debugs_verb
+	alc_pick_no_ssid_fixup(codec, alc_debug_fixups);
+#endif
+
 	alc_auto_parse_customize_define(codec);
 
 	alc_fix_pll_init(codec, 0x20, 0x04, 15);
@@ -18744,6 +18804,320 @@
 	return 0;
 }
 
+/*
+ * ALC680 support
+ */
+#define ALC680_DIGOUT_NID	ALC880_DIGOUT_NID
+#define alc680_modes		alc260_modes
+
+static hda_nid_t alc680_dac_nids[3] = {
+	/* front, hp */
+	0x02, 0x03, 0x04
+};
+
+static hda_nid_t alc680_adc_nids[3] = {
+	/* ADC0-1 */
+	0x07, 0x08, 0x09
+};
+
+/*static hda_nid_t alc680_capsrc_nids[0] = { 0x0 };*/
+
+static struct snd_kcontrol_new alc680_base_mixer[] = {
+	/* output mixer control */
+	HDA_CODEC_VOLUME("Front Playback Volume", 0x2, 0x0, HDA_OUTPUT),
+	HDA_CODEC_MUTE("Front Playback Switch", 0x14, 0x0, HDA_OUTPUT),
+	HDA_CODEC_VOLUME("Headphone Playback Volume", 0x4, 0x0, HDA_OUTPUT),
+	HDA_CODEC_MUTE("Headphone Playback Switch", 0x16, 0x0, HDA_OUTPUT),
+	HDA_CODEC_VOLUME("Mic Boost", 0x18, 0, HDA_INPUT),
+	{ }
+};
+
+
+/*
+ * generic initialization of ADC, input mixers and output mixers
+ */
+static struct hda_verb alc680_init_verbs[] = {
+	/* Unmute DAC0-1 and set vol = 0 */
+	{0x02, AC_VERB_SET_AMP_GAIN_MUTE, AMP_OUT_ZERO},
+	{0x03, AC_VERB_SET_AMP_GAIN_MUTE, AMP_OUT_ZERO},
+	{0x04, AC_VERB_SET_AMP_GAIN_MUTE, AMP_OUT_ZERO},
+
+	{0x14, AC_VERB_SET_PIN_WIDGET_CONTROL, 0x40},
+	{0x15, AC_VERB_SET_PIN_WIDGET_CONTROL, 0x40},
+	{0x16, AC_VERB_SET_PIN_WIDGET_CONTROL, 0xc0},
+	{0x18, AC_VERB_SET_PIN_WIDGET_CONTROL, 0x24},
+	{0x19, AC_VERB_SET_PIN_WIDGET_CONTROL, 0x20},
+
+	{0x14, AC_VERB_SET_AMP_GAIN_MUTE, AMP_OUT_MUTE},
+	{0x15, AC_VERB_SET_AMP_GAIN_MUTE, AMP_OUT_MUTE},
+	{0x16, AC_VERB_SET_AMP_GAIN_MUTE, AMP_OUT_MUTE},
+	{0x18, AC_VERB_SET_AMP_GAIN_MUTE, AMP_OUT_MUTE},
+	{0x19, AC_VERB_SET_AMP_GAIN_MUTE, AMP_OUT_MUTE},
+	{ }
+};
+
+/* create input playback/capture controls for the given pin */
+static int alc680_new_analog_output(struct alc_spec *spec, hda_nid_t nid,
+				    const char *ctlname, int idx)
+{
+	hda_nid_t dac;
+	int err;
+
+	switch (nid) {
+	case 0x14:
+		dac = 0x02;
+		break;
+	case 0x15:
+		dac = 0x03;
+		break;
+	case 0x16:
+		dac = 0x04;
+		break;
+	default:
+		return 0;
+	}
+	if (spec->multiout.dac_nids[0] != dac &&
+	    spec->multiout.dac_nids[1] != dac) {
+		err = add_pb_vol_ctrl(spec, ALC_CTL_WIDGET_VOL, ctlname,
+				  HDA_COMPOSE_AMP_VAL(dac, 3, idx,
+						      HDA_OUTPUT));
+		if (err < 0)
+			return err;
+		spec->multiout.dac_nids[spec->multiout.num_dacs++] = dac;
+	}
+
+	return 0;
+}
+
+/* add playback controls from the parsed DAC table */
+static int alc680_auto_create_multi_out_ctls(struct alc_spec *spec,
+					     const struct auto_pin_cfg *cfg)
+{
+	hda_nid_t nid;
+	int err;
+
+	spec->multiout.dac_nids = spec->private_dac_nids;
+
+	nid = cfg->line_out_pins[0];
+	if (nid) {
+		const char *name;
+		if (cfg->line_out_type == AUTO_PIN_SPEAKER_OUT)
+			name = "Speaker";
+		else
+			name = "Front";
+		err = alc680_new_analog_output(spec, nid, name, 0);
+		if (err < 0)
+			return err;
+	}
+
+	nid = cfg->speaker_pins[0];
+	if (nid) {
+		err = alc680_new_analog_output(spec, nid, "Speaker", 0);
+		if (err < 0)
+			return err;
+	}
+	nid = cfg->hp_pins[0];
+	if (nid) {
+		err = alc680_new_analog_output(spec, nid, "Headphone", 0);
+		if (err < 0)
+			return err;
+	}
+
+	return 0;
+}
+
+static void alc680_auto_set_output_and_unmute(struct hda_codec *codec,
+					      hda_nid_t nid, int pin_type)
+{
+	alc_set_pin_output(codec, nid, pin_type);
+}
+
+static void alc680_auto_init_multi_out(struct hda_codec *codec)
+{
+	struct alc_spec *spec = codec->spec;
+	hda_nid_t nid = spec->autocfg.line_out_pins[0];
+	if (nid) {
+		int pin_type = get_pin_type(spec->autocfg.line_out_type);
+		alc680_auto_set_output_and_unmute(codec, nid, pin_type);
+	}
+}
+
+static void alc680_auto_init_hp_out(struct hda_codec *codec)
+{
+	struct alc_spec *spec = codec->spec;
+	hda_nid_t pin;
+
+	pin = spec->autocfg.hp_pins[0];
+	if (pin)
+		alc680_auto_set_output_and_unmute(codec, pin, PIN_HP);
+	pin = spec->autocfg.speaker_pins[0];
+	if (pin)
+		alc680_auto_set_output_and_unmute(codec, pin, PIN_OUT);
+}
+
+/* pcm configuration: identical with ALC880 */
+#define alc680_pcm_analog_playback	alc880_pcm_analog_playback
+#define alc680_pcm_analog_capture	alc880_pcm_analog_capture
+#define alc680_pcm_analog_alt_capture	alc880_pcm_analog_alt_capture
+#define alc680_pcm_digital_playback	alc880_pcm_digital_playback
+
+static struct hda_input_mux alc680_capture_source = {
+	.num_items = 1,
+	.items = {
+		{ "Mic", 0x0 },
+	},
+};
+
+/*
+ * BIOS auto configuration
+ */
+static int alc680_parse_auto_config(struct hda_codec *codec)
+{
+	struct alc_spec *spec = codec->spec;
+	int err;
+	static hda_nid_t alc680_ignore[] = { 0 };
+
+	err = snd_hda_parse_pin_def_config(codec, &spec->autocfg,
+					   alc680_ignore);
+	if (err < 0)
+		return err;
+	if (!spec->autocfg.line_outs) {
+		if (spec->autocfg.dig_outs || spec->autocfg.dig_in_pin) {
+			spec->multiout.max_channels = 2;
+			spec->no_analog = 1;
+			goto dig_only;
+		}
+		return 0; /* can't find valid BIOS pin config */
+	}
+	err = alc680_auto_create_multi_out_ctls(spec, &spec->autocfg);
+	if (err < 0)
+		return err;
+
+	spec->multiout.max_channels = 2;
+
+ dig_only:
+	/* digital only support output */
+	if (spec->autocfg.dig_outs) {
+		spec->multiout.dig_out_nid = ALC680_DIGOUT_NID;
+		spec->dig_out_type = spec->autocfg.dig_out_type[0];
+	}
+	if (spec->kctls.list)
+		add_mixer(spec, spec->kctls.list);
+
+	add_verb(spec, alc680_init_verbs);
+	spec->num_mux_defs = 1;
+	spec->input_mux = &alc680_capture_source;
+
+	err = alc_auto_add_mic_boost(codec);
+	if (err < 0)
+		return err;
+
+	return 1;
+}
+
+#define alc680_auto_init_analog_input	alc882_auto_init_analog_input
+
+/* init callback for auto-configuration model -- overriding the default init */
+static void alc680_auto_init(struct hda_codec *codec)
+{
+	struct alc_spec *spec = codec->spec;
+	alc680_auto_init_multi_out(codec);
+	alc680_auto_init_hp_out(codec);
+	alc680_auto_init_analog_input(codec);
+	if (spec->unsol_event)
+		alc_inithook(codec);
+}
+
+/*
+ * configuration and preset
+ */
+static const char *alc680_models[ALC680_MODEL_LAST] = {
+	[ALC680_BASE]		= "alc680_base",
+};
+
+static struct snd_pci_quirk alc680_cfg_tbl[] = {
+	SND_PCI_QUIRK(0x0000, 0x0000, "temp", ALC680_BASE),
+	{}
+};
+
+static struct alc_config_preset alc680_presets[] = {
+	[ALC680_BASE] = {
+		.mixers = { alc680_base_mixer },
+		.init_verbs = { alc680_init_verbs },
+		.num_dacs = ARRAY_SIZE(alc680_dac_nids),
+		.dac_nids = alc680_dac_nids,
+                .num_adc_nids = ARRAY_SIZE(alc680_adc_nids),
+                .adc_nids = alc680_adc_nids,
+/*		.capsrc_nids = alc680_capsrc_nids,*/
+		.hp_nid = 0x04,
+		.dig_out_nid = ALC680_DIGOUT_NID,
+		.num_channel_mode = ARRAY_SIZE(alc680_modes),
+		.channel_mode = alc680_modes,
+		.input_mux = &alc680_capture_source,
+	},
+};
+
+static int patch_alc680(struct hda_codec *codec)
+{
+	struct alc_spec *spec;
+	int board_config;
+	int err;
+
+	spec = kzalloc(sizeof(*spec), GFP_KERNEL);
+	if (spec == NULL)
+		return -ENOMEM;
+
+	codec->spec = spec;
+
+	board_config = snd_hda_check_board_config(codec, ALC680_MODEL_LAST,
+						  alc680_models,
+						  alc680_cfg_tbl);
+
+	if (board_config < 0 || board_config >= ALC680_MODEL_LAST) {
+		printk(KERN_INFO "hda_codec: %s: BIOS auto-probing.\n",
+		       codec->chip_name);
+		board_config = ALC680_AUTO;
+	}
+
+	if (board_config == ALC680_AUTO) {
+		/* automatic parse from the BIOS config */
+		err = alc680_parse_auto_config(codec);
+		if (err < 0) {
+			alc_free(codec);
+			return err;
+		} else if (!err) {
+			printk(KERN_INFO
+			       "hda_codec: Cannot set up configuration "
+			       "from BIOS.  Using base mode...\n");
+			board_config = ALC680_BASE;
+		}
+	}
+
+	if (board_config != ALC680_AUTO)
+		setup_preset(codec, &alc680_presets[board_config]);
+
+	spec->stream_analog_playback = &alc680_pcm_analog_playback;
+	spec->stream_analog_capture = &alc680_pcm_analog_capture;
+	spec->stream_analog_alt_capture = &alc680_pcm_analog_alt_capture;
+	spec->stream_digital_playback = &alc680_pcm_digital_playback;
+
+	if (!spec->adc_nids) {
+		spec->adc_nids = alc680_adc_nids;
+		spec->num_adc_nids = ARRAY_SIZE(alc680_adc_nids);
+	}
+
+	if (!spec->cap_mixer)
+		set_capture_mixer(codec);
+
+	spec->vmaster_nid = 0x02;
+
+	codec->patch_ops = alc_patch_ops;
+	if (board_config == ALC680_AUTO)
+		spec->init_hook = alc680_auto_init;
+
+	return 0;
+}
+
 static int patch_alc888(struct hda_codec *codec)
 {
 	if ((alc_read_coef_idx(codec, 0) & 0x00f0)==0x0030){
@@ -18782,6 +19156,7 @@
 	{ .id = 0x10ec0663, .name = "ALC663", .patch = patch_alc662 },
 	{ .id = 0x10ec0665, .name = "ALC665", .patch = patch_alc662 },
 	{ .id = 0x10ec0670, .name = "ALC670", .patch = patch_alc662 },
+	{ .id = 0x10ec0680, .name = "ALC680", .patch = patch_alc680 },
 	{ .id = 0x10ec0880, .name = "ALC880", .patch = patch_alc880 },
 	{ .id = 0x10ec0882, .name = "ALC882", .patch = patch_alc882 },
 	{ .id = 0x10ec0883, .name = "ALC883", .patch = patch_alc882 },
diff -Nur alsa-driver-1.0.23/include/autoconf-extra.h alsa-driver-1.0.23-5.15rc1/include/autoconf-extra.h
--- alsa-driver-1.0.23/include/autoconf-extra.h	2010-04-16 13:17:36.000000000 +0200
+++ alsa-driver-1.0.23-5.15rc1/include/autoconf-extra.h	2010-04-30 10:41:46.000000000 +0200
@@ -4,10 +4,10 @@
  */
 #define CONFIG_SND_MODULE 1
 /* #undef CONFIG_SND_BIT32_EMUL_MODULE */
-#define CONFIG_SND_RTCTIMER_MODULE 1
+/* #undef CONFIG_SND_RTCTIMER_MODULE */
 /* #undef CONFIG_SND_HPET_MODULE */
 #define CONFIG_SND_SEQUENCER_MODULE 1
-#define CONFIG_SND_SEQ_DUMMY_MODULE 1
+/* #undef CONFIG_SND_SEQ_DUMMY_MODULE */
 #define CONFIG_SND_OSSEMUL 1
 #define CONFIG_SND_MIXER_OSS_MODULE 1
 #define CONFIG_SND_PCM_OSS_MODULE 1
diff -Nur alsa-driver-1.0.23/include/config1.h alsa-driver-1.0.23-5.15rc1/include/config1.h
--- alsa-driver-1.0.23/include/config1.h	2010-04-16 13:17:36.000000000 +0200
+++ alsa-driver-1.0.23-5.15rc1/include/config1.h	2010-04-30 10:41:46.000000000 +0200
@@ -13,10 +13,10 @@
 #define CONFIG_SND_PCM_MODULE 1
 /* #undef CONFIG_GCD_MODULE */
 #define CONFIG_SND_HWDEP_MODULE 1
-#define CONFIG_SND_RAWMIDI_MODULE 1
-/* #undef CONFIG_SND_JACK */
+/* #undef CONFIG_SND_RAWMIDI_MODULE */
+#define CONFIG_SND_JACK 1
 #define CONFIG_SND_SEQUENCER_MODULE 1
-#define CONFIG_SND_SEQ_DUMMY_MODULE 1
+/* #undef CONFIG_SND_SEQ_DUMMY_MODULE */
 #define CONFIG_SND_OSSEMUL 1
 #define CONFIG_SND_MIXER_OSS_MODULE 1
 #define CONFIG_SND_PCM_OSS_MODULE 1
@@ -25,9 +25,9 @@
 /* #undef CONFIG_SND_HRTIMER_MODULE */
 /* #undef CONFIG_HIGH_RES_TIMERS_MODULE */
 /* #undef CONFIG_SND_SEQ_HRTIMER_DEFAULT */
-#define CONFIG_SND_RTCTIMER_MODULE 1
+/* #undef CONFIG_SND_RTCTIMER_MODULE */
 /* #undef CONFIG_RTC_MODULE */
-#define CONFIG_SND_SEQ_RTCTIMER_DEFAULT 1
+/* #undef CONFIG_SND_SEQ_RTCTIMER_DEFAULT */
 /* #undef CONFIG_SND_DYNAMIC_MINORS */
 #define CONFIG_SND_SUPPORT_OLD_API 1
 #define CONFIG_SND_VERBOSE_PROCFS 1
@@ -37,134 +37,134 @@
 /* #undef CONFIG_SND_DEBUG_VERBOSE */
 /* #undef CONFIG_SND_PCM_XRUN_DEBUG */
 #define CONFIG_SND_VMASTER 1
-/* #undef CONFIG_SND_DMA_SGBUF */
+#define CONFIG_SND_DMA_SGBUF 1
 /* #undef CONFIG_X86_MODULE */
-#define CONFIG_SND_RAWMIDI_SEQ_MODULE 1
-#define CONFIG_SND_OPL3_LIB_SEQ_MODULE 1
-#define CONFIG_SND_OPL3_LIB_MODULE 1
-#define CONFIG_SND_OPL4_LIB_SEQ_MODULE 1
-#define CONFIG_SND_OPL4_LIB_MODULE 1
-#define CONFIG_SND_SBAWE_SEQ_MODULE 1
-#define CONFIG_SND_SBAWE_MODULE 1
-#define CONFIG_SND_EMU10K1_SEQ_MODULE 1
-#define CONFIG_SND_EMU10K1_MODULE 1
+/* #undef CONFIG_SND_RAWMIDI_SEQ_MODULE */
+/* #undef CONFIG_SND_OPL3_LIB_SEQ_MODULE */
+/* #undef CONFIG_SND_OPL3_LIB_MODULE */
+/* #undef CONFIG_SND_OPL4_LIB_SEQ_MODULE */
+/* #undef CONFIG_SND_OPL4_LIB_MODULE */
+/* #undef CONFIG_SND_SBAWE_SEQ_MODULE */
+/* #undef CONFIG_SND_SBAWE_MODULE */
+/* #undef CONFIG_SND_EMU10K1_SEQ_MODULE */
+/* #undef CONFIG_SND_EMU10K1_MODULE */
 /* #undef CONFIG_SND_BIT32_EMUL_MODULE */
 /* #undef CONFIG_SND_DEBUG_MEMORY */
 /* #undef CONFIG_SND_HPET_MODULE */
 /* #undef CONFIG_HPET_MODULE */
 /* #undef CONFIG_BROKEN_MODULE */
-#define CONFIG_SND_MPU401_UART_MODULE 1
-#define CONFIG_SND_VX_LIB_MODULE 1
-#define CONFIG_SND_AC97_CODEC_MODULE 1
+/* #undef CONFIG_SND_MPU401_UART_MODULE */
+/* #undef CONFIG_SND_VX_LIB_MODULE */
+/* #undef CONFIG_SND_AC97_CODEC_MODULE */
 #define CONFIG_SND_DRIVERS 1
 /* #undef CONFIG_SND_PCSP_MODULE */
 /* #undef CONFIG_PCSPKR_PLATFORM_MODULE */
 /* #undef CONFIG_INPUT_MODULE */
 /* #undef CONFIG_EXPERIMENTAL_MODULE */
-#define CONFIG_SND_DUMMY_MODULE 1
-#define CONFIG_SND_VIRMIDI_MODULE 1
-#define CONFIG_SND_MTPAV_MODULE 1
-#define CONFIG_SND_MTS64_MODULE 1
+/* #undef CONFIG_SND_DUMMY_MODULE */
+/* #undef CONFIG_SND_VIRMIDI_MODULE */
+/* #undef CONFIG_SND_MTPAV_MODULE */
+/* #undef CONFIG_SND_MTS64_MODULE */
 /* #undef CONFIG_PARPORT_MODULE */
-#define CONFIG_SND_SERIAL_U16550_MODULE 1
-#define CONFIG_SND_MPU401_MODULE 1
-#define CONFIG_SND_PORTMAN2X4_MODULE 1
+/* #undef CONFIG_SND_SERIAL_U16550_MODULE */
+/* #undef CONFIG_SND_MPU401_MODULE */
+/* #undef CONFIG_SND_PORTMAN2X4_MODULE */
 /* #undef CONFIG_SND_ML403_AC97CR_MODULE */
 /* #undef CONFIG_XILINX_VIRTEX_MODULE */
-#define CONFIG_SND_AC97_POWER_SAVE 1
-#define CONFIG_SND_AC97_POWER_SAVE_DEFAULT 0
+/* #undef CONFIG_SND_AC97_POWER_SAVE */
+/* #undef CONFIG_SND_AC97_POWER_SAVE_DEFAULT */
 /* #undef CONFIG_SND_SERIALMIDI_MODULE */
-#define CONFIG_SND_LOOPBACK_MODULE 1
-#define CONFIG_SND_WSS_LIB_MODULE 1
-#define CONFIG_SND_SB_COMMON_MODULE 1
-#define CONFIG_SND_SB8_DSP_MODULE 1
-#define CONFIG_SND_SB16_DSP_MODULE 1
+/* #undef CONFIG_SND_LOOPBACK_MODULE */
+/* #undef CONFIG_SND_WSS_LIB_MODULE */
+/* #undef CONFIG_SND_SB_COMMON_MODULE */
+/* #undef CONFIG_SND_SB8_DSP_MODULE */
+/* #undef CONFIG_SND_SB16_DSP_MODULE */
 #define CONFIG_SND_ISA 1
 /* #undef CONFIG_ISA_MODULE */
 /* #undef CONFIG_ISA_DMA_API_MODULE */
-#define CONFIG_SND_ADLIB_MODULE 1
-#define CONFIG_SND_AD1816A_MODULE 1
+/* #undef CONFIG_SND_ADLIB_MODULE */
+/* #undef CONFIG_SND_AD1816A_MODULE */
 /* #undef CONFIG_PNP_MODULE */
 /* #undef CONFIG_ISAPNP_MODULE */
-#define CONFIG_SND_AD1848_MODULE 1
-#define CONFIG_SND_ALS100_MODULE 1
-#define CONFIG_SND_AZT2320_MODULE 1
-#define CONFIG_SND_CMI8330_MODULE 1
-#define CONFIG_SND_CS4231_MODULE 1
-#define CONFIG_SND_CS4236_MODULE 1
-#define CONFIG_SND_ES968_MODULE 1
-#define CONFIG_SND_ES1688_MODULE 1
-#define CONFIG_SND_ES18XX_MODULE 1
+/* #undef CONFIG_SND_AD1848_MODULE */
+/* #undef CONFIG_SND_ALS100_MODULE */
+/* #undef CONFIG_SND_AZT2320_MODULE */
+/* #undef CONFIG_SND_CMI8330_MODULE */
+/* #undef CONFIG_SND_CS4231_MODULE */
+/* #undef CONFIG_SND_CS4236_MODULE */
+/* #undef CONFIG_SND_ES968_MODULE */
+/* #undef CONFIG_SND_ES1688_MODULE */
+/* #undef CONFIG_SND_ES18XX_MODULE */
 /* #undef CONFIG_SND_SC6000_MODULE */
 /* #undef CONFIG_HAS_IOPORT_MODULE */
-#define CONFIG_SND_GUSCLASSIC_MODULE 1
-#define CONFIG_SND_GUSEXTREME_MODULE 1
-#define CONFIG_SND_GUSMAX_MODULE 1
-#define CONFIG_SND_INTERWAVE_MODULE 1
-#define CONFIG_SND_INTERWAVE_STB_MODULE 1
-#define CONFIG_SND_JAZZ16_MODULE 1
-#define CONFIG_SND_OPL3SA2_MODULE 1
-#define CONFIG_SND_OPTI92X_AD1848_MODULE 1
-#define CONFIG_SND_OPTI92X_CS4231_MODULE 1
-#define CONFIG_SND_OPTI93X_MODULE 1
-#define CONFIG_SND_MIRO_MODULE 1
-#define CONFIG_SND_SB8_MODULE 1
-#define CONFIG_SND_SB16_MODULE 1
-#define CONFIG_SND_SB16_CSP 1
+/* #undef CONFIG_SND_GUSCLASSIC_MODULE */
+/* #undef CONFIG_SND_GUSEXTREME_MODULE */
+/* #undef CONFIG_SND_GUSMAX_MODULE */
+/* #undef CONFIG_SND_INTERWAVE_MODULE */
+/* #undef CONFIG_SND_INTERWAVE_STB_MODULE */
+/* #undef CONFIG_SND_JAZZ16_MODULE */
+/* #undef CONFIG_SND_OPL3SA2_MODULE */
+/* #undef CONFIG_SND_OPTI92X_AD1848_MODULE */
+/* #undef CONFIG_SND_OPTI92X_CS4231_MODULE */
+/* #undef CONFIG_SND_OPTI93X_MODULE */
+/* #undef CONFIG_SND_MIRO_MODULE */
+/* #undef CONFIG_SND_SB8_MODULE */
+/* #undef CONFIG_SND_SB16_MODULE */
+/* #undef CONFIG_SND_SB16_CSP */
 /* #undef CONFIG_PPC_MODULE */
 /* #undef CONFIG_FW_LOADER_MODULE */
-#define CONFIG_SND_SGALAXY_MODULE 1
-#define CONFIG_SND_SSCAPE_MODULE 1
-#define CONFIG_SND_WAVEFRONT_MODULE 1
+/* #undef CONFIG_SND_SGALAXY_MODULE */
+/* #undef CONFIG_SND_SSCAPE_MODULE */
+/* #undef CONFIG_SND_WAVEFRONT_MODULE */
 /* #undef CONFIG_SND_MSND_PINNACLE_MODULE */
 /* #undef CONFIG_SND_MSND_CLASSIC_MODULE */
 /* #undef CONFIG_SND_PC98_CS4232_MODULE */
 /* #undef CONFIG_X86_PC9800_MODULE */
 #define CONFIG_SND_PCI 1
 /* #undef CONFIG_PCI_MODULE */
-#define CONFIG_SND_AD1889_MODULE 1
-#define CONFIG_SND_ALS300_MODULE 1
-#define CONFIG_SND_ALS4000_MODULE 1
-#define CONFIG_SND_ALI5451_MODULE 1
-#define CONFIG_SND_ATIIXP_MODULE 1
-#define CONFIG_SND_ATIIXP_MODEM_MODULE 1
-#define CONFIG_SND_AU8810_MODULE 1
-#define CONFIG_SND_AU8820_MODULE 1
-#define CONFIG_SND_AU8830_MODULE 1
-#define CONFIG_SND_AW2_MODULE 1
-#define CONFIG_SND_AZT3328_MODULE 1
-#define CONFIG_SND_BT87X_MODULE 1
-#define CONFIG_SND_BT87X_OVERCLOCK 1
-#define CONFIG_SND_CA0106_MODULE 1
-#define CONFIG_SND_CMIPCI_MODULE 1
-#define CONFIG_SND_OXYGEN_LIB_MODULE 1
-#define CONFIG_SND_OXYGEN_MODULE 1
-#define CONFIG_SND_CS4281_MODULE 1
-#define CONFIG_SND_CS46XX_MODULE 1
-#define CONFIG_SND_CS46XX_NEW_DSP 1
-#define CONFIG_SND_CS5530_MODULE 1
-#define CONFIG_SND_CS5535AUDIO_MODULE 1
-#define CONFIG_SND_CTXFI_MODULE 1
-#define CONFIG_SND_DARLA20_MODULE 1
-#define CONFIG_SND_GINA20_MODULE 1
-#define CONFIG_SND_LAYLA20_MODULE 1
-#define CONFIG_SND_DARLA24_MODULE 1
-#define CONFIG_SND_GINA24_MODULE 1
-#define CONFIG_SND_LAYLA24_MODULE 1
-#define CONFIG_SND_MONA_MODULE 1
-#define CONFIG_SND_MIA_MODULE 1
-#define CONFIG_SND_ECHO3G_MODULE 1
-#define CONFIG_SND_INDIGO_MODULE 1
-#define CONFIG_SND_INDIGOIO_MODULE 1
-#define CONFIG_SND_INDIGODJ_MODULE 1
-#define CONFIG_SND_INDIGOIOX_MODULE 1
-#define CONFIG_SND_INDIGODJX_MODULE 1
-#define CONFIG_SND_EMU10K1X_MODULE 1
-#define CONFIG_SND_ENS1370_MODULE 1
-#define CONFIG_SND_ENS1371_MODULE 1
-#define CONFIG_SND_ES1938_MODULE 1
-#define CONFIG_SND_ES1968_MODULE 1
-#define CONFIG_SND_FM801_MODULE 1
+/* #undef CONFIG_SND_AD1889_MODULE */
+/* #undef CONFIG_SND_ALS300_MODULE */
+/* #undef CONFIG_SND_ALS4000_MODULE */
+/* #undef CONFIG_SND_ALI5451_MODULE */
+/* #undef CONFIG_SND_ATIIXP_MODULE */
+/* #undef CONFIG_SND_ATIIXP_MODEM_MODULE */
+/* #undef CONFIG_SND_AU8810_MODULE */
+/* #undef CONFIG_SND_AU8820_MODULE */
+/* #undef CONFIG_SND_AU8830_MODULE */
+/* #undef CONFIG_SND_AW2_MODULE */
+/* #undef CONFIG_SND_AZT3328_MODULE */
+/* #undef CONFIG_SND_BT87X_MODULE */
+/* #undef CONFIG_SND_BT87X_OVERCLOCK */
+/* #undef CONFIG_SND_CA0106_MODULE */
+/* #undef CONFIG_SND_CMIPCI_MODULE */
+/* #undef CONFIG_SND_OXYGEN_LIB_MODULE */
+/* #undef CONFIG_SND_OXYGEN_MODULE */
+/* #undef CONFIG_SND_CS4281_MODULE */
+/* #undef CONFIG_SND_CS46XX_MODULE */
+/* #undef CONFIG_SND_CS46XX_NEW_DSP */
+/* #undef CONFIG_SND_CS5530_MODULE */
+/* #undef CONFIG_SND_CS5535AUDIO_MODULE */
+/* #undef CONFIG_SND_CTXFI_MODULE */
+/* #undef CONFIG_SND_DARLA20_MODULE */
+/* #undef CONFIG_SND_GINA20_MODULE */
+/* #undef CONFIG_SND_LAYLA20_MODULE */
+/* #undef CONFIG_SND_DARLA24_MODULE */
+/* #undef CONFIG_SND_GINA24_MODULE */
+/* #undef CONFIG_SND_LAYLA24_MODULE */
+/* #undef CONFIG_SND_MONA_MODULE */
+/* #undef CONFIG_SND_MIA_MODULE */
+/* #undef CONFIG_SND_ECHO3G_MODULE */
+/* #undef CONFIG_SND_INDIGO_MODULE */
+/* #undef CONFIG_SND_INDIGOIO_MODULE */
+/* #undef CONFIG_SND_INDIGODJ_MODULE */
+/* #undef CONFIG_SND_INDIGOIOX_MODULE */
+/* #undef CONFIG_SND_INDIGODJX_MODULE */
+/* #undef CONFIG_SND_EMU10K1X_MODULE */
+/* #undef CONFIG_SND_ENS1370_MODULE */
+/* #undef CONFIG_SND_ENS1371_MODULE */
+/* #undef CONFIG_SND_ES1938_MODULE */
+/* #undef CONFIG_SND_ES1968_MODULE */
+/* #undef CONFIG_SND_FM801_MODULE */
 /* #undef CONFIG_SND_FM801_TEA575X_BOOL */
 /* #undef CONFIG_VIDEO_V4L2_MODULE */
 /* #undef CONFIG_SND_FM801_TEA575X_MODULE */
@@ -191,34 +191,34 @@
 #define CONFIG_SND_HDA_GENERIC 1
 #define CONFIG_SND_HDA_POWER_SAVE 1
 #define CONFIG_SND_HDA_POWER_SAVE_DEFAULT 0
-#define CONFIG_SND_HDSP_MODULE 1
-#define CONFIG_SND_HDSPM_MODULE 1
-#define CONFIG_SND_HIFIER_MODULE 1
+/* #undef CONFIG_SND_HDSP_MODULE */
+/* #undef CONFIG_SND_HDSPM_MODULE */
+/* #undef CONFIG_SND_HIFIER_MODULE */
 /* #undef CONFIG_SND_ICE1712_MODULE */
 /* #undef CONFIG_BITREVERSE_MODULE */
-#define CONFIG_SND_ICE1724_MODULE 1
-#define CONFIG_SND_INTEL8X0_MODULE 1
-#define CONFIG_SND_INTEL8X0M_MODULE 1
-#define CONFIG_SND_KORG1212_MODULE 1
-#define CONFIG_SND_LX6464ES_MODULE 1
-#define CONFIG_SND_MAESTRO3_MODULE 1
-#define CONFIG_SND_MIXART_MODULE 1
-#define CONFIG_SND_NM256_MODULE 1
-#define CONFIG_SND_PCXHR_MODULE 1
-#define CONFIG_SND_RIPTIDE_MODULE 1
-#define CONFIG_SND_RME32_MODULE 1
-#define CONFIG_SND_RME96_MODULE 1
-#define CONFIG_SND_RME9652_MODULE 1
+/* #undef CONFIG_SND_ICE1724_MODULE */
+/* #undef CONFIG_SND_INTEL8X0_MODULE */
+/* #undef CONFIG_SND_INTEL8X0M_MODULE */
+/* #undef CONFIG_SND_KORG1212_MODULE */
+/* #undef CONFIG_SND_LX6464ES_MODULE */
+/* #undef CONFIG_SND_MAESTRO3_MODULE */
+/* #undef CONFIG_SND_MIXART_MODULE */
+/* #undef CONFIG_SND_NM256_MODULE */
+/* #undef CONFIG_SND_PCXHR_MODULE */
+/* #undef CONFIG_SND_RIPTIDE_MODULE */
+/* #undef CONFIG_SND_RME32_MODULE */
+/* #undef CONFIG_SND_RME96_MODULE */
+/* #undef CONFIG_SND_RME9652_MODULE */
 /* #undef CONFIG_SND_SIS7019_MODULE */
 /* #undef CONFIG_X86_64_MODULE */
-#define CONFIG_SND_SONICVIBES_MODULE 1
-#define CONFIG_SND_TRIDENT_MODULE 1
-#define CONFIG_SND_VIA82XX_MODULE 1
-#define CONFIG_SND_VIA82XX_MODEM_MODULE 1
-#define CONFIG_SND_VIRTUOSO_MODULE 1
-#define CONFIG_SND_VX222_MODULE 1
-#define CONFIG_SND_YMFPCI_MODULE 1
-#define CONFIG_SND_PDPLUS_MODULE 1
+/* #undef CONFIG_SND_SONICVIBES_MODULE */
+/* #undef CONFIG_SND_TRIDENT_MODULE */
+/* #undef CONFIG_SND_VIA82XX_MODULE */
+/* #undef CONFIG_SND_VIA82XX_MODEM_MODULE */
+/* #undef CONFIG_SND_VIRTUOSO_MODULE */
+/* #undef CONFIG_SND_VX222_MODULE */
+/* #undef CONFIG_SND_YMFPCI_MODULE */
+/* #undef CONFIG_SND_PDPLUS_MODULE */
 /* #undef CONFIG_SND_ASIHPI_MODULE */
 /* #undef CONFIG_SND_PPC */
 /* #undef CONFIG_SND_POWERMAC_MODULE */
@@ -281,17 +281,17 @@
 /* #undef CONFIG_CPU_SH3_MODULE */
 #define CONFIG_SND_USB 1
 /* #undef CONFIG_USB_MODULE */
-#define CONFIG_SND_USB_AUDIO_MODULE 1
+/* #undef CONFIG_SND_USB_AUDIO_MODULE */
 /* #undef CONFIG_SND_USB_UA101_MODULE */
 /* #undef CONFIG_SND_USB_USX2Y_MODULE */
 /* #undef CONFIG_ALPHA_MODULE */
-#define CONFIG_SND_USB_CAIAQ_MODULE 1
-#define CONFIG_SND_USB_CAIAQ_INPUT 1
+/* #undef CONFIG_SND_USB_CAIAQ_MODULE */
+/* #undef CONFIG_SND_USB_CAIAQ_INPUT */
 /* #undef CONFIG_SND_USB_US122L_MODULE */
 #define CONFIG_SND_PCMCIA 1
 /* #undef CONFIG_PCMCIA_MODULE */
-#define CONFIG_SND_VXPOCKET_MODULE 1
-#define CONFIG_SND_PDAUDIOCF_MODULE 1
+/* #undef CONFIG_SND_VXPOCKET_MODULE */
+/* #undef CONFIG_SND_PDAUDIOCF_MODULE */
 /* #undef CONFIG_SND_SPARC */
 /* #undef CONFIG_SPARC_MODULE */
 /* #undef CONFIG_SND_SUN_AMD7930_MODULE */
@@ -301,7 +301,7 @@
 /* #undef CONFIG_SND_GSC */
 /* #undef CONFIG_GSC_MODULE */
 /* #undef CONFIG_SND_HARMONY_MODULE */
-#define CONFIG_SND_SOC_MODULE 1
+/* #undef CONFIG_SND_SOC_MODULE */
 /* #undef CONFIG_SND_SOC_AC97_BUS */
 /* #undef CONFIG_SND_ATMEL_SOC_MODULE */
 /* #undef CONFIG_SND_ATMEL_SOC_SSC_MODULE */
@@ -346,7 +346,7 @@
 /* #undef CONFIG_MACH_DAVINCI_EVM_MODULE */
 /* #undef CONFIG_MACH_DAVINCI_DM355_EVM_MODULE */
 /* #undef CONFIG_MACH_DAVINCI_DM365_EVM_MODULE */
-#define CONFIG_SND_DM365_AIC3X_CODEC 1
+/* #undef CONFIG_SND_DM365_AIC3X_CODEC */
 /* #undef CONFIG_SND_DM365_VOICE_CODEC */
 /* #undef CONFIG_MFD_DAVINCI_VOICECODEC_MODULE */
 /* #undef CONFIG_SND_DM6467_SOC_EVM_MODULE */
@@ -505,9 +505,9 @@
 /* #undef CONFIG_TXX9_DMAC_MODULE */
 /* #undef CONFIG_SND_SOC_TXX9ACLC_AC97_MODULE */
 /* #undef CONFIG_SND_SOC_TXX9ACLC_GENERIC_MODULE */
-#define CONFIG_SND_SOC_I2C_AND_SPI_MODULE 1
+/* #undef CONFIG_SND_SOC_I2C_AND_SPI_MODULE */
 /* #undef CONFIG_SND_SOC_ALL_CODECS_MODULE */
-#define CONFIG_SND_SOC_WM_HUBS_MODULE 1
+/* #undef CONFIG_SND_SOC_WM_HUBS_MODULE */
 /* #undef CONFIG_SND_SOC_AC97_CODEC_MODULE */
 /* #undef CONFIG_SND_SOC_AD1836_MODULE */
 /* #undef CONFIG_SND_SOC_AD193X_MODULE */
@@ -571,4 +571,4 @@
 /* #undef CONFIG_SND_SOC_TPA6130A2_MODULE */
 /* #undef CONFIG_SND_SOC_WM2000_MODULE */
 /* #undef CONFIG_SOUND_PRIME_MODULE */
-#define CONFIG_AC97_BUS_MODULE 1
+/* #undef CONFIG_AC97_BUS_MODULE */
diff -Nur alsa-driver-1.0.23/include/config.h alsa-driver-1.0.23-5.15rc1/include/config.h
--- alsa-driver-1.0.23/include/config.h	2010-04-16 13:17:36.000000000 +0200
+++ alsa-driver-1.0.23-5.15rc1/include/config.h	2010-04-30 10:41:46.000000000 +0200
@@ -21,15 +21,15 @@
 /* #undef CONFIG_SND_DEBUG_MEMORY */
 /* #undef CONFIG_SND_DEBUG_VERBOSE */
 /* #undef CONFIG_SND_BIT32_EMUL_MODULE */
-#define CONFIG_SND_RTCTIMER_MODULE 1
+/* #undef CONFIG_SND_RTCTIMER_MODULE */
 /* #undef CONFIG_SND_HPET_MODULE */
-#define CONFIG_SND_SEQ_DUMMY_MODULE 1
+/* #undef CONFIG_SND_SEQ_DUMMY_MODULE */
 
 /* card-dependent section */
 /* #undef CONFIG_SND_GENERIC_PM */
 
 /* build section */
-#define CONFIG_SND_KERNELDIR "/home/alsa/kernel/linux-2.6.17.8"
+#define CONFIG_SND_KERNELDIR "/lib/modules/2.6.27-7-generic/build"
 #define CONFIG_ISAPNP_KERNEL 1
 #define CONFIG_PNP_KERNEL 1
 #define CONFIG_SND_ISAPNP 1
@@ -37,9 +37,9 @@
 
 /* 2.4 kernels */
 /* #undef CONFIG_HAVE_OLD_REQUEST_MODULE */
-/* #undef CONFIG_HAVE_STRLCPY */
-/* #undef CONFIG_HAVE_SNPRINTF */
-/* #undef CONFIG_HAVE_VSNPRINTF */
+#define CONFIG_HAVE_STRLCPY 1
+#define CONFIG_HAVE_SNPRINTF 1
+#define CONFIG_HAVE_VSNPRINTF 1
 #define CONFIG_HAVE_VMALLOC_TO_PAGE 1
 #define CONFIG_HAVE_PDE 1
 /* #undef CONFIG_HAVE_TTY_COUNT_ATOMIC */
@@ -51,15 +51,15 @@
 /* #undef CONFIG_OLD_KILL_FASYNC */
 /* #undef CONFIG_HAVE_DMA_ADDR_T */
 /* #undef CONFIG_HAVE_MUTEX_MACROS */
-/* #undef CONFIG_HAVE_SCNPRINTF */
-/* #undef CONFIG_HAVE_SSCANF */
+#define CONFIG_HAVE_SCNPRINTF 1
+#define CONFIG_HAVE_SSCANF 1
 #define CONFIG_SND_HAS_BUILTIN_BOOL 1
 
 /* 2.4/2.6 kernels */
 #define CONFIG_HAVE_PCI_CONSISTENT_DMA_MASK 1
 #define CONFIG_HAVE_KCALLOC 1
 #define CONFIG_HAVE_KSTRDUP 1
-/* #undef CONFIG_HAVE_KSTRNDUP */
+#define CONFIG_HAVE_KSTRNDUP 1
 #define CONFIG_HAVE_KZALLOC 1
 #define CONFIG_HAVE_IO_REMAP_PFN_RANGE 1
 /* #undef CONFIG_OLD_IO_REMAP_PAGE_RANGE */
@@ -76,16 +76,16 @@
 #define CONFIG_HAVE_REGISTER_SOUND_SPECIAL_DEVICE 1
 
 /* 2.6 kernel */
-#define CONFIG_SND_NESTED_CLASS_DEVICE 1
+/* #undef CONFIG_SND_NESTED_CLASS_DEVICE */
 /* #undef CONFIG_SND_OLD_DRIVER_SUSPEND */
-#define CONFIG_SND_REMOVE_PAGE_RESERVE 1
-/* #undef CONFIG_SND_NEW_IRQ_HANDLER */
+/* #undef CONFIG_SND_REMOVE_PAGE_RESERVE */
+#define CONFIG_SND_NEW_IRQ_HANDLER 1
 #define CONFIG_HAVE_PNP_SUSPEND 1
 #define CONFIG_HAVE_GFP_T 1
-/* #undef CONFIG_HAVE_INIT_UTSNAME */
-/* #undef CONFIG_SND_HAS_DEVICE_CREATE_DRVDATA */
-/* #undef CONFIG_HAVE_IS_POWER_OF_2 */
-/* #undef CONFIG_HAVE_DEPRECATED_CONFIG_H */
+#define CONFIG_HAVE_INIT_UTSNAME 1
+#define CONFIG_SND_HAS_DEVICE_CREATE_DRVDATA 1
+#define CONFIG_HAVE_IS_POWER_OF_2 1
+#define CONFIG_HAVE_DEPRECATED_CONFIG_H 1
 #define CONFIG_HAVE_GFP_DMA32 1
 #define CONFIG_HAVE_PAGE_TO_PFN 1
 /* #undef CONFIG_HAVE_VIDEO_DRVDATA */
diff -Nur alsa-driver-1.0.23/include/i2c-id_compat.h alsa-driver-1.0.23-5.15rc1/include/i2c-id_compat.h
--- alsa-driver-1.0.23/include/i2c-id_compat.h	2010-04-16 13:17:36.000000000 +0200
+++ alsa-driver-1.0.23-5.15rc1/include/i2c-id_compat.h	2010-04-30 10:41:45.000000000 +0200
@@ -1,4 +1,4 @@
-#include "/home/alsa/kernel/linux-2.6.17.8/include/linux/i2c-id.h"
+#include "/lib/modules/2.6.27-7-generic/build/include/linux/i2c-id.h"
 
 #ifndef I2C_DRIVERID_WM8731
 #define I2C_DRIVERID_WM8731		89	/* Wolfson WM8731 audio codec */
diff -Nur alsa-driver-1.0.23/include/pci_ids_compat.h alsa-driver-1.0.23-5.15rc1/include/pci_ids_compat.h
--- alsa-driver-1.0.23/include/pci_ids_compat.h	2010-04-16 13:17:36.000000000 +0200
+++ alsa-driver-1.0.23-5.15rc1/include/pci_ids_compat.h	2010-04-30 10:41:45.000000000 +0200
@@ -1,5 +1,5 @@
 #ifndef LINUX_2_2
-#include "/home/alsa/kernel/linux-2.6.17.8/include/linux/pci_ids.h"
+#include "/lib/modules/2.6.27-7-generic/build/include/linux/pci_ids.h"
 #endif
 
 /* bt87x */
diff -Nur alsa-driver-1.0.23/modules.order alsa-driver-1.0.23-5.15rc1/modules.order
--- alsa-driver-1.0.23/modules.order	1970-01-01 01:00:00.000000000 +0100
+++ alsa-driver-1.0.23-5.15rc1/modules.order	2010-04-30 11:45:48.000000000 +0200
@@ -0,0 +1,25 @@
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/oss/snd-mixer-oss.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/oss/snd-pcm-oss.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-hwdep.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-timer.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-page-alloc.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/seq/snd-seq.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/seq/snd-seq-device.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/seq/snd-seq-midi-event.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/seq/oss/snd-seq-oss.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec-realtek.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec-cmedia.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec-analog.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec-idt.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec-si3054.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec-atihdmi.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec-cirrus.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec-ca0110.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec-conexant.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec-via.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec-nvhdmi.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec-intelhdmi.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-intel.ko
diff -Nur alsa-driver-1.0.23/Module.symvers alsa-driver-1.0.23-5.15rc1/Module.symvers
--- alsa-driver-1.0.23/Module.symvers	1970-01-01 01:00:00.000000000 +0100
+++ alsa-driver-1.0.23-5.15rc1/Module.symvers	2010-04-30 11:45:48.000000000 +0200
@@ -0,0 +1,279 @@
+0x7bd89a29	snd_power_wait	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0x4bda0765	snd_hda_eld_proc_free	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x2c7aabfe	snd_hda_get_sub_nodes	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x260fdab4	snd_card_free	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0xf9df629a	snd_hda_mixer_amp_volume_get	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x4420ed40	snd_hda_delete_codec_preset	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x53654e9e	__snd_printk	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL_GPL
+0x3a57f235	snd_seq_autoload_unlock	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/seq/snd-seq-device	EXPORT_SYMBOL
+0xc622fb29	snd_seq_device_unregister_driver	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/seq/snd-seq-device	EXPORT_SYMBOL
+0x6b4209f1	snd_ctl_unregister_ioctl	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0xe30ac23a	snd_hda_codec_cleanup_stream	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x62135451	snd_hda_pin_sense	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0xdf5ff79d	snd_timer_global_new	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-timer	EXPORT_SYMBOL
+0x241b4627	snd_ctl_add	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0xa61aa028	snd_pcm_format_unsigned	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0xab269c42	snd_device_new	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0x77577eb2	snd_pcm_hw_constraint_list	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0x9e6d79f8	snd_info_get_str	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0x3a1b0261	snd_hda_check_board_codec_sid_config	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x09516744	snd_pcm_hw_constraint_msbits	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0xdc41fd8a	snd_pci_quirk_lookup_id	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0x3472871a	snd_card_create	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0x8a348811	snd_midi_event_reset_encode	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/seq/snd-seq-midi-event	EXPORT_SYMBOL
+0x4d9b6d35	snd_pcm_format_size	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0xad87613e	snd_print_pcm_rates	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x0ff32182	snd_hdmi_get_eld	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x3fb4d161	snd_seq_kernel_client_dispatch	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/seq/snd-seq	EXPORT_SYMBOL
+0x258f5051	snd_hda_mixer_bind_ctls_put	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x79c34bcb	snd_pcm_open_substream	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0x5e9369f5	snd_device_free	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0xd9857d1c	snd_pci_new_quirk_lookup	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0xe29a3c5a	snd_pcm_period_elapsed	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0x2561365d	snd_hda_mixer_amp_volume_put	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x5ae76f73	auto_pin_cfg_labels	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0xb7eb78c0	snd_hda_codec_update_cache	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x9d887e43	snd_hda_eld_proc_new	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x42a22aa8	snd_hda_enable_beep_device	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x7de7cd97	snd_hda_is_supported_format	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0xe2ae24c4	snd_timer_interrupt	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-timer	EXPORT_SYMBOL
+0x493424d0	snd_pcm_hw_param_first	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0x64dd1989	snd_hda_queue_unsol_event	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x4817e9c6	snd_pcm_new	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0x6003b4ea	_snd_pcm_lib_alloc_vmalloc_buffer	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0x33ebe453	snd_hda_mixer_amp_tlv	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0xb6b9eb96	snd_hda_input_mux_put	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0xe0edd55b	snd_jack_set_key	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0xea3c47c9	snd_timer_open	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-timer	EXPORT_SYMBOL
+0xf6ee27ab	snd_jack_set_parent	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0xf9310496	snd_hda_mixer_bind_ctls_get	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0xdcef9ebd	snd_unregister_oss_device	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0x9746b065	snd_hda_codec_resume_cache	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x5e977385	snd_pcm_lib_ioctl	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0x5913a5e4	snd_hda_get_connections	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x4787276c	snd_component_add	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0xe20c9214	snd_iprintf	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0x64f06452	snd_hda_bus_new	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x4af7370f	snd_pcm_new_stream	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0x3e76d28f	compat_skip_spaces	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0x14e5e107	snd_hdmi_show_eld	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0xb8cd16a0	snd_timer_global_register	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-timer	EXPORT_SYMBOL
+0x770a5d6f	snd_hda_add_vmaster	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x23d5a204	snd_hda_multi_out_analog_open	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0xd02c255d	snd_pcm_sgbuf_ops_page	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0x39c763b7	snd_seq_kernel_client_write_poll	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/seq/snd-seq	EXPORT_SYMBOL
+0x28f381cd	snd_seq_device_new	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/seq/snd-seq-device	EXPORT_SYMBOL
+0x3e48617b	snd_seq_create_kernel_client	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/seq/snd-seq	EXPORT_SYMBOL
+0xa4f76dd9	snd_hda_mixer_amp_switch_info	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x17c15809	snd_midi_event_decode	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/seq/snd-seq-midi-event	EXPORT_SYMBOL
+0x5d2d2fcc	snd_hda_find_mixer_ctl	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x9a345e0b	snd_ctl_notify	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0x2c4fade6	snd_pcm_hw_constraint_step	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0x68a24153	snd_pcm_format_physical_width	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0x7b086a15	snd_pcm_lib_preallocate_pages_for_all	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0xc652fd69	snd_hda_get_jack_connectivity	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x3204a645	snd_ctl_boolean_mono_info	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0x05feab86	snd_mixer_oss_ioctl_card	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/oss/snd-mixer-oss	EXPORT_SYMBOL
+0xcb89442c	snd_pcm_lib_preallocate_free_for_all	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0x0d35a18f	snd_hda_power_down	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0xa11e608c	snd_unregister_device	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0xfbe62255	snd_hda_ctl_add	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0xd6d832b0	snd_card_set_id	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0xcce27eb0	snd_hda_input_mux_info	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x66764b90	snd_pcm_hw_constraint_ratdens	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0x52fe113d	release_and_free_resource	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0xd6f1b542	snd_hda_add_codec_preset	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0xcfe6ed6a	snd_hda_mixer_bind_switch_get	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x1358b9ad	snd_hda_mixer_bind_switch_put	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0xfabd255e	snd_card_new	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0x45afcc1d	snd_pcm_lib_readv	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0xc762041a	snd_hda_bind_vol	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0xc9a1ea87	snd_hda_get_bool_hint	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x49d4e4d1	snd_verbose_printk	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0xa577f073	snd_verbose_printd	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0xf75dcdf7	snd_hda_codec_amp_update	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x74236093	snd_timer_resolution	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-timer	EXPORT_SYMBOL
+0xb0bef4f4	snd_hda_multi_out_analog_prepare	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x11667728	snd_pcm_hw_rule_add	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0x3b91f3af	snd_free_pages	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-page-alloc	EXPORT_SYMBOL
+0x919da28a	snd_card_file_remove	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0xf3797152	snd_interval_ratnum	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0xade88e76	snd_malloc_pages	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-page-alloc	EXPORT_SYMBOL
+0x4656b994	snd_hwdep_new	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-hwdep	EXPORT_SYMBOL
+0xb55eb7f2	snd_hda_bus_reboot_notify	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x0fb23638	snd_ctl_boolean_stereo_info	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0x88cc66cc	snd_pcm_link_rwlock	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0x9c1337a8	snd_timer_stop	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-timer	EXPORT_SYMBOL
+0xe6df29c7	snd_midi_event_encode_byte	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/seq/snd-seq-midi-event	EXPORT_SYMBOL
+0xa2827d76	snd_hda_get_jack_location	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0xc18b9494	snd_hda_codec_set_pincfg	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0xb52d33e8	snd_hda_codec_get_pincfg	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x3555a3c2	snd_cards	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0x1fe2be19	snd_hda_override_amp_caps	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x1d027e4b	snd_pcm_format_signed	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0x096039c2	snd_hda_codec_configure	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0xe5d70b64	snd_timer_start	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-timer	EXPORT_SYMBOL
+0x1a61e935	snd_hda_codec_write	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x3cbc2b80	snd_pcm_notify	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0x05812682	snd_hda_codec_setup_stream	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x7aba648b	query_amp_caps	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0xcb301b6e	snd_hda_get_jack_type	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x5958e14e	snd_dma_reserve_buf	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-page-alloc	EXPORT_SYMBOL
+0xd47d454a	snd_add_device_sysfs_file	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0xab851c10	snd_hdmi_get_eld_size	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x7ac2f329	snd_seq_expand_var_event	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/seq/snd-seq	EXPORT_SYMBOL
+0x18e1683f	snd_dma_program	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0x54e191c6	snd_card_register	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0x2edadbf8	snd_hda_resume	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x95397075	snd_pcm_release_substream	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0x23405407	snd_ctl_new1	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0xff661b5b	snd_pcm_lib_free_pages	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0x2f312071	snd_card_disconnect	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0x7e44cdc9	snd_hda_shutup_pins	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0xfa18806e	snd_hda_ch_mode_info	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x90b76857	snd_dma_free_pages	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-page-alloc	EXPORT_SYMBOL
+0xf7f9cbaa	snd_ctl_remove_id	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0xbfd6641b	snd_pcm_set_sync	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0xea124bd1	gcd	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0x03f00590	snd_info_create_card_entry	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0x4a3ea5c0	snd_request_card	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0x198788b4	snd_lookup_oss_minor_data	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0x1a724fcc	snd_seq_kernel_client_ctl	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/seq/snd-seq	EXPORT_SYMBOL
+0x5e7f4920	snd_pcm_format_set_silence	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0xb3d9bfa9	snd_hda_codec_read	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x9a8e1877	snd_array_free	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0xb7d9e6d4	snd_jack_report	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0x3796bdcc	snd_pcm_format_little_endian	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0xe56a9336	snd_pcm_format_width	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0x95d07f3a	snd_mixer_oss_notify_callback	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0x16d7aae4	snd_hda_codec_amp_stereo	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x49f07d43	snd_print_channel_allocation	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0xfc5e4faf	snd_seq_kernel_client_enqueue_blocking	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/seq/snd-seq	EXPORT_SYMBOL
+0x5219c59e	snd_hda_build_controls	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0xee422d76	snd_seq_root	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0xc2068d59	snd_hda_mixer_bind_ctls_info	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x0f02e1c0	snd_pcm_sgbuf_get_chunk_size	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0x9fc0e416	snd_hda_mixer_amp_switch_get	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x4f816e9b	snd_pcm_format_big_endian	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0xbbc89bc0	snd_hda_build_pcms	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0xd9072e1a	snd_midi_event_no_status	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/seq/snd-seq-midi-event	EXPORT_SYMBOL
+0x3971b4df	snd_ecards_limit	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0x7ca9ef1e	snd_hda_codec_resume_amp	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x7c67b2e7	snd_hda_create_spdif_out_ctls	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x24a94b26	snd_info_get_line	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0x191e88cf	snd_dma_pointer	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0x14a1e162	snd_register_oss_device	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0xe7eda7f9	snd_pcm_lib_free_vmalloc_buffer	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0x7b8699eb	snd_seq_event_port_detach	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/seq/snd-seq	EXPORT_SYMBOL
+0xa65a1e8f	snd_hda_multi_out_dig_cleanup	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0xacaf9b04	snd_ctl_remove	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0xaf2cffef	snd_hda_suspend	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x3af99a85	snd_dma_alloc_pages_fallback	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-page-alloc	EXPORT_SYMBOL
+0xc3e81883	snd_ctl_register_ioctl	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0xee322055	snd_dma_get_reserved_buf	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-page-alloc	EXPORT_SYMBOL
+0x594ab537	snd_timer_new	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-timer	EXPORT_SYMBOL
+0x169dc9f8	snd_timer_notify	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-timer	EXPORT_SYMBOL
+0x4ad3f518	snd_midi_event_reset_decode	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/seq/snd-seq-midi-event	EXPORT_SYMBOL
+0x54c16f64	snd_card_proc_new	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0x437eb0d1	snd_hda_mixer_amp_switch_put	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0xdd75c3c5	snd_ctl_rename_id	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0xab57c08a	snd_hda_parse_pin_def_config	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0xc8c22b03	snd_pcm_suspend	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0xc692a818	snd_timer_continue	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-timer	EXPORT_SYMBOL
+0xe692eea3	snd_card_file_add	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0x6c6706a8	snd_hda_get_hint	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0xc482499d	snd_midi_event_new	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/seq/snd-seq-midi-event	EXPORT_SYMBOL
+0x57d5f22b	snd_pcm_lib_mmap_iomem	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0xd7508517	snd_hda_multi_out_analog_cleanup	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x2aabd196	snd_info_create_module_entry	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0x6a08ff4d	snd_hda_mixer_bind_tlv	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x2a6e6227	snd_pcm_lib_get_vmalloc_page	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0x3b90ebe8	snd_pcm_hw_constraint_integer	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0x3cd381af	snd_dma_alloc_pages	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-page-alloc	EXPORT_SYMBOL
+0x570171a1	snd_seq_event_port_attach	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/seq/snd-seq	EXPORT_SYMBOL
+0x3cc440e7	snd_hda_ch_mode_put	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x6bb71038	snd_seq_delete_kernel_client	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/seq/snd-seq	EXPORT_SYMBOL
+0xc231fbff	snd_pcm_kernel_ioctl	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0x91e10bb2	snd_card_free_when_closed	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0x42210add	snd_info_free_entry	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0x7d9459ce	snd_hda_codec_write_cache	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x8641dc11	snd_pcm_set_ops	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0x8891b074	snd_pcm_lib_malloc_pages	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0xce3ca308	copy_from_user_toio	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0x85935599	snd_hda_check_board_config	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x3dccf6f1	snd_timer_close	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-timer	EXPORT_SYMBOL
+0x11d3faeb	snd_hda_attach_beep_device	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x5b8c63ce	snd_hda_detach_beep_device	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0xd806ab47	snd_hda_create_spdif_share_sw	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0xb6715637	snd_hda_mixer_amp_switch_put_beep	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0xb8c5ac41	snd_hda_check_amp_list_power	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0xde05f580	snd_hda_multi_out_dig_prepare	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0xc37afb0b	snd_hda_multi_out_dig_close	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0xe9336b6b	snd_pcm_hw_constraint_minmax	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0x9df7af8b	snd_midi_event_free	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/seq/snd-seq-midi-event	EXPORT_SYMBOL
+0x343c7db6	snd_hda_codec_amp_read	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x52d86719	snd_pcm_hw_constraint_ratnums	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0xc2e8eb55	snd_hda_mixer_amp_volume_info	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x362afe40	snd_hda_create_spdif_in_ctls	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0xc0661c41	snd_hda_query_pin_caps	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0xeda3a721	snd_print_pcm_bits	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0xc34a54c6	snd_hda_calc_stream_format	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0xda92b520	snd_pcm_lib_read	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0x650f8603	snd_pcm_format_silence_64	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0x39bf9301	_snd_pcm_hw_param_setempty	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0x69526a31	snd_hda_add_new_ctls	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0xb90668b2	snd_seq_autoload_lock	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/seq/snd-seq-device	EXPORT_SYMBOL
+0x63ca2b57	snd_pcm_hw_param_last	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0xa5925781	snd_pcm_hw_refine	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0x631a80e1	snd_hda_power_up	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x602c96f0	copy_to_user_fromio	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0x6339b6d0	snd_seq_device_load_drivers	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/seq/snd-seq-device	EXPORT_SYMBOL
+0x14e098b3	snd_pcm_hw_constraint_pow2	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0x62384d3a	snd_midi_event_encode	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/seq/snd-seq-midi-event	EXPORT_SYMBOL
+0x77a872cc	snd_pcm_limit_hw_rates	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0xc82add99	snd_hda_parse_generic_codec	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL
+0xbf31f599	snd_register_device_for_dev	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0x70c15ac1	snd_dma_disable	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0x48a66ce1	snd_pcm_stop	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0xcac0a3be	snd_seq_kernel_client_enqueue	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/seq/snd-seq	EXPORT_SYMBOL
+0xa33a6fad	snd_pcm_lib_mmap_noncached	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0x8f595b11	snd_major	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0x04cda566	snd_interval_refine	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0xb04ec8fc	snd_ctl_find_numid	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0x42733619	snd_hda_sequence_write_cache	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0xcb3a1e9f	snd_hda_jack_detect	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x2d82f19b	snd_info_register	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0x466f3507	snd_hda_load_patch	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x0283dfe3	_snd_pcm_hw_params_any	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0x939ac0ea	snd_pcm_mmap_data	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0x4b53e795	snd_device_register	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0x1fcf71a6	snd_ctl_find_id	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0x11b0b364	snd_hda_ch_mode_get	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x35f4b382	snd_seq_device_register_driver	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/seq/snd-seq-device	EXPORT_SYMBOL
+0xbe7dd7dc	snd_array_new	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0xb8e448a0	snd_seq_set_queue_tempo	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/seq/snd-seq	EXPORT_SYMBOL
+0xd0b9b8b8	snd_interval_list	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0x8ac27950	snd_ctl_make_virtual_master	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0x6ef8fcd8	snd_pcm_format_linear	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0xa8d049db	snd_hda_multi_out_dig_open	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0xa286a234	snd_pcm_format_name	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL_GPL
+0xb7d3de09	snd_pcm_suspend_all	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0xcf921467	snd_pcm_lib_write	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0x71e8ae13	snd_hda_add_nid	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x96616d3c	snd_hda_codec_new	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x8df3789f	snd_oss_info_register	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0x251325d2	snd_pcm_lib_preallocate_pages	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0xb2e5ae4a	snd_lookup_minor_data	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0xd18c11fc	snd_timer_global_free	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-timer	EXPORT_SYMBOL
+0x2829decb	snd_pcm_lib_writev	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0x71614128	snd_ctl_free_one	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0xb9638db4	snd_pcm_rate_to_rate_bit	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0xe66cdf63	snd_hda_set_vmaster_tlv	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x54cf6669	_snd_ctl_add_slave	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0xe934da1d	snd_seq_dump_var_event	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/seq/snd-seq	EXPORT_SYMBOL
+0x0d2c3096	snd_hda_sequence_write	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x417c8974	snd_hda_bind_sw	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec	EXPORT_SYMBOL_GPL
+0x52e3e4a5	snd_pcm_hw_param_value	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-pcm	EXPORT_SYMBOL
+0x76ca1590	snd_jack_new	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd	EXPORT_SYMBOL
+0x3061c52d	snd_use_lock_sync_helper	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/seq/snd-seq	EXPORT_SYMBOL
+0xcec0d23b	snd_timer_pause	/home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/acore/snd-timer	EXPORT_SYMBOL
diff -Nur alsa-driver-1.0.23/pci/hda/modules.order alsa-driver-1.0.23-5.15rc1/pci/hda/modules.order
--- alsa-driver-1.0.23/pci/hda/modules.order	1970-01-01 01:00:00.000000000 +0100
+++ alsa-driver-1.0.23-5.15rc1/pci/hda/modules.order	2010-04-30 11:45:47.000000000 +0200
@@ -0,0 +1,14 @@
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec-realtek.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec-cmedia.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec-analog.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec-idt.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec-si3054.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec-atihdmi.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec-cirrus.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec-ca0110.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec-conexant.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec-via.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec-nvhdmi.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec-intelhdmi.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-intel.ko
diff -Nur alsa-driver-1.0.23/pci/modules.order alsa-driver-1.0.23-5.15rc1/pci/modules.order
--- alsa-driver-1.0.23/pci/modules.order	1970-01-01 01:00:00.000000000 +0100
+++ alsa-driver-1.0.23-5.15rc1/pci/modules.order	2010-04-30 11:45:47.000000000 +0200
@@ -0,0 +1,14 @@
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec-realtek.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec-cmedia.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec-analog.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec-idt.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec-si3054.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec-atihdmi.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec-cirrus.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec-ca0110.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec-conexant.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec-via.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec-nvhdmi.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-codec-intelhdmi.ko
+kernel//home/johnny/realtek-linux-audiopack-5.15/alsa-driver-1.0.23/pci/hda/snd-hda-intel.ko
diff -Nur alsa-driver-1.0.23/sound/include/version.h alsa-driver-1.0.23-5.15rc1/sound/include/version.h
--- alsa-driver-1.0.23/sound/include/version.h	2010-04-16 13:10:10.000000000 +0200
+++ alsa-driver-1.0.23-5.15rc1/sound/include/version.h	2010-04-30 11:45:09.000000000 +0200
@@ -1,3 +1,3 @@
 /* include/version.h */
-#define CONFIG_SND_VERSION "1.0.23"
+#define CONFIG_SND_VERSION "1.0.23_v5.15rc1"
 #define CONFIG_SND_DATE ""
diff -Nur alsa-driver-1.0.23/sound/pci/hda/patch_realtek.c alsa-driver-1.0.23-5.15rc1/sound/pci/hda/patch_realtek.c
--- alsa-driver-1.0.23/sound/pci/hda/patch_realtek.c	2010-04-16 13:10:10.000000000 +0200
+++ alsa-driver-1.0.23-5.15rc1/sound/pci/hda/patch_realtek.c	2010-04-30 11:44:00.000000000 +0200
@@ -37,6 +37,8 @@
 #define ALC880_HP_EVENT			0x04
 #define ALC880_MIC_EVENT		0x08
 
+#define debugs_verb 0
+
 /* ALC880 board config type */
 enum {
 	ALC880_3ST,
@@ -199,6 +201,13 @@
 	ALC662_MODEL_LAST,
 };
 
+/* ALC680models */
+enum {
+	ALC680_BASE,
+	ALC680_AUTO,
+	ALC680_MODEL_LAST,
+};
+
 /* ALC882 models */
 enum {
 	ALC882_3ST_DIG,
@@ -1497,6 +1506,49 @@
 	return val;
 }
 
+#if debugs_verb
+enum {
+	PINFIX_DEBUG
+};
+
+static struct alc_pincfg alc_debug_pin_prefix[] = {
+	{ 0x12, 0x99a30920 },  /* Internal DMic*/
+//	{ 0x13, 0x99130110 },
+	{ 0x14, 0x99130110 },  /* Internal Spk*/
+	{ 0x15, 0x411111f0 },  
+	{ 0x16, 0x411111f0 },
+//	{ 0x17, 0x99130120 }, 
+	{ 0x18, 0x01a19830 },  /* External Mic*/
+	{ 0x19, 0x411111f0 }, 
+	{ 0x1a, 0x411111f0 },  /* HP */ 
+	{ 0x1b, 0x411111f0 },
+	{ 0x1c, 0x411111f0 },
+	{ 0x1d, 0x40168c2d },  /* Config */
+//	{ 0x20, 0x40138205 },
+	{ 0x21, 0x0121401f }, 
+	{ }
+};
+
+static const struct alc_fixup alc_debug_fixups[] = {
+	[PINFIX_DEBUG] = {
+		.pins = alc_debug_pin_prefix
+	},
+};
+
+static void alc_pick_no_ssid_fixup(struct hda_codec *codec,
+			   const struct alc_fixup *fix)
+{
+	const struct alc_pincfg *cfg;
+	cfg = fix->pins;
+	if (cfg) {
+		for (; cfg->nid; cfg++)
+			snd_hda_codec_set_pincfg(codec, cfg->nid, cfg->val);
+	}
+	if (fix->verbs)
+		add_verb(codec->spec, fix->verbs);
+}
+#endif
+
 /*
  * ALC888
  */
@@ -10518,7 +10570,9 @@
 		return -ENOMEM;
 
 	codec->spec = spec;
-
+#if debugs_verb
+	alc_pick_no_ssid_fixup(codec, alc_debug_fixups);
+#endif
 	alc_auto_parse_customize_define(codec);
 
 	switch (codec->vendor_id) {
@@ -14417,7 +14471,9 @@
 		return -ENOMEM;
 
 	codec->spec = spec;
-
+#if debugs_verb
+	alc_pick_no_ssid_fixup(codec, alc_debug_fixups);
+#endif
 	alc_auto_parse_customize_define(codec);
 
 	if ((alc_read_coef_idx(codec, 0) & 0x00f0) == 0x0010){
@@ -18657,6 +18713,10 @@
 
 	codec->spec = spec;
 
+#if debugs_verb
+	alc_pick_no_ssid_fixup(codec, alc_debug_fixups);
+#endif
+
 	alc_auto_parse_customize_define(codec);
 
 	alc_fix_pll_init(codec, 0x20, 0x04, 15);
@@ -18744,6 +18804,320 @@
 	return 0;
 }
 
+/*
+ * ALC680 support
+ */
+#define ALC680_DIGOUT_NID	ALC880_DIGOUT_NID
+#define alc680_modes		alc260_modes
+
+static hda_nid_t alc680_dac_nids[3] = {
+	/* front, hp */
+	0x02, 0x03, 0x04
+};
+
+static hda_nid_t alc680_adc_nids[3] = {
+	/* ADC0-1 */
+	0x07, 0x08, 0x09
+};
+
+/*static hda_nid_t alc680_capsrc_nids[0] = { 0x0 };*/
+
+static struct snd_kcontrol_new alc680_base_mixer[] = {
+	/* output mixer control */
+	HDA_CODEC_VOLUME("Front Playback Volume", 0x2, 0x0, HDA_OUTPUT),
+	HDA_CODEC_MUTE("Front Playback Switch", 0x14, 0x0, HDA_OUTPUT),
+	HDA_CODEC_VOLUME("Headphone Playback Volume", 0x4, 0x0, HDA_OUTPUT),
+	HDA_CODEC_MUTE("Headphone Playback Switch", 0x16, 0x0, HDA_OUTPUT),
+	HDA_CODEC_VOLUME("Mic Boost", 0x18, 0, HDA_INPUT),
+	{ }
+};
+
+
+/*
+ * generic initialization of ADC, input mixers and output mixers
+ */
+static struct hda_verb alc680_init_verbs[] = {
+	/* Unmute DAC0-1 and set vol = 0 */
+	{0x02, AC_VERB_SET_AMP_GAIN_MUTE, AMP_OUT_ZERO},
+	{0x03, AC_VERB_SET_AMP_GAIN_MUTE, AMP_OUT_ZERO},
+	{0x04, AC_VERB_SET_AMP_GAIN_MUTE, AMP_OUT_ZERO},
+
+	{0x14, AC_VERB_SET_PIN_WIDGET_CONTROL, 0x40},
+	{0x15, AC_VERB_SET_PIN_WIDGET_CONTROL, 0x40},
+	{0x16, AC_VERB_SET_PIN_WIDGET_CONTROL, 0xc0},
+	{0x18, AC_VERB_SET_PIN_WIDGET_CONTROL, 0x24},
+	{0x19, AC_VERB_SET_PIN_WIDGET_CONTROL, 0x20},
+
+	{0x14, AC_VERB_SET_AMP_GAIN_MUTE, AMP_OUT_MUTE},
+	{0x15, AC_VERB_SET_AMP_GAIN_MUTE, AMP_OUT_MUTE},
+	{0x16, AC_VERB_SET_AMP_GAIN_MUTE, AMP_OUT_MUTE},
+	{0x18, AC_VERB_SET_AMP_GAIN_MUTE, AMP_OUT_MUTE},
+	{0x19, AC_VERB_SET_AMP_GAIN_MUTE, AMP_OUT_MUTE},
+	{ }
+};
+
+/* create input playback/capture controls for the given pin */
+static int alc680_new_analog_output(struct alc_spec *spec, hda_nid_t nid,
+				    const char *ctlname, int idx)
+{
+	hda_nid_t dac;
+	int err;
+
+	switch (nid) {
+	case 0x14:
+		dac = 0x02;
+		break;
+	case 0x15:
+		dac = 0x03;
+		break;
+	case 0x16:
+		dac = 0x04;
+		break;
+	default:
+		return 0;
+	}
+	if (spec->multiout.dac_nids[0] != dac &&
+	    spec->multiout.dac_nids[1] != dac) {
+		err = add_pb_vol_ctrl(spec, ALC_CTL_WIDGET_VOL, ctlname,
+				  HDA_COMPOSE_AMP_VAL(dac, 3, idx,
+						      HDA_OUTPUT));
+		if (err < 0)
+			return err;
+		spec->multiout.dac_nids[spec->multiout.num_dacs++] = dac;
+	}
+
+	return 0;
+}
+
+/* add playback controls from the parsed DAC table */
+static int alc680_auto_create_multi_out_ctls(struct alc_spec *spec,
+					     const struct auto_pin_cfg *cfg)
+{
+	hda_nid_t nid;
+	int err;
+
+	spec->multiout.dac_nids = spec->private_dac_nids;
+
+	nid = cfg->line_out_pins[0];
+	if (nid) {
+		const char *name;
+		if (cfg->line_out_type == AUTO_PIN_SPEAKER_OUT)
+			name = "Speaker";
+		else
+			name = "Front";
+		err = alc680_new_analog_output(spec, nid, name, 0);
+		if (err < 0)
+			return err;
+	}
+
+	nid = cfg->speaker_pins[0];
+	if (nid) {
+		err = alc680_new_analog_output(spec, nid, "Speaker", 0);
+		if (err < 0)
+			return err;
+	}
+	nid = cfg->hp_pins[0];
+	if (nid) {
+		err = alc680_new_analog_output(spec, nid, "Headphone", 0);
+		if (err < 0)
+			return err;
+	}
+
+	return 0;
+}
+
+static void alc680_auto_set_output_and_unmute(struct hda_codec *codec,
+					      hda_nid_t nid, int pin_type)
+{
+	alc_set_pin_output(codec, nid, pin_type);
+}
+
+static void alc680_auto_init_multi_out(struct hda_codec *codec)
+{
+	struct alc_spec *spec = codec->spec;
+	hda_nid_t nid = spec->autocfg.line_out_pins[0];
+	if (nid) {
+		int pin_type = get_pin_type(spec->autocfg.line_out_type);
+		alc680_auto_set_output_and_unmute(codec, nid, pin_type);
+	}
+}
+
+static void alc680_auto_init_hp_out(struct hda_codec *codec)
+{
+	struct alc_spec *spec = codec->spec;
+	hda_nid_t pin;
+
+	pin = spec->autocfg.hp_pins[0];
+	if (pin)
+		alc680_auto_set_output_and_unmute(codec, pin, PIN_HP);
+	pin = spec->autocfg.speaker_pins[0];
+	if (pin)
+		alc680_auto_set_output_and_unmute(codec, pin, PIN_OUT);
+}
+
+/* pcm configuration: identical with ALC880 */
+#define alc680_pcm_analog_playback	alc880_pcm_analog_playback
+#define alc680_pcm_analog_capture	alc880_pcm_analog_capture
+#define alc680_pcm_analog_alt_capture	alc880_pcm_analog_alt_capture
+#define alc680_pcm_digital_playback	alc880_pcm_digital_playback
+
+static struct hda_input_mux alc680_capture_source = {
+	.num_items = 1,
+	.items = {
+		{ "Mic", 0x0 },
+	},
+};
+
+/*
+ * BIOS auto configuration
+ */
+static int alc680_parse_auto_config(struct hda_codec *codec)
+{
+	struct alc_spec *spec = codec->spec;
+	int err;
+	static hda_nid_t alc680_ignore[] = { 0 };
+
+	err = snd_hda_parse_pin_def_config(codec, &spec->autocfg,
+					   alc680_ignore);
+	if (err < 0)
+		return err;
+	if (!spec->autocfg.line_outs) {
+		if (spec->autocfg.dig_outs || spec->autocfg.dig_in_pin) {
+			spec->multiout.max_channels = 2;
+			spec->no_analog = 1;
+			goto dig_only;
+		}
+		return 0; /* can't find valid BIOS pin config */
+	}
+	err = alc680_auto_create_multi_out_ctls(spec, &spec->autocfg);
+	if (err < 0)
+		return err;
+
+	spec->multiout.max_channels = 2;
+
+ dig_only:
+	/* digital only support output */
+	if (spec->autocfg.dig_outs) {
+		spec->multiout.dig_out_nid = ALC680_DIGOUT_NID;
+		spec->dig_out_type = spec->autocfg.dig_out_type[0];
+	}
+	if (spec->kctls.list)
+		add_mixer(spec, spec->kctls.list);
+
+	add_verb(spec, alc680_init_verbs);
+	spec->num_mux_defs = 1;
+	spec->input_mux = &alc680_capture_source;
+
+	err = alc_auto_add_mic_boost(codec);
+	if (err < 0)
+		return err;
+
+	return 1;
+}
+
+#define alc680_auto_init_analog_input	alc882_auto_init_analog_input
+
+/* init callback for auto-configuration model -- overriding the default init */
+static void alc680_auto_init(struct hda_codec *codec)
+{
+	struct alc_spec *spec = codec->spec;
+	alc680_auto_init_multi_out(codec);
+	alc680_auto_init_hp_out(codec);
+	alc680_auto_init_analog_input(codec);
+	if (spec->unsol_event)
+		alc_inithook(codec);
+}
+
+/*
+ * configuration and preset
+ */
+static const char *alc680_models[ALC680_MODEL_LAST] = {
+	[ALC680_BASE]		= "alc680_base",
+};
+
+static struct snd_pci_quirk alc680_cfg_tbl[] = {
+	SND_PCI_QUIRK(0x0000, 0x0000, "temp", ALC680_BASE),
+	{}
+};
+
+static struct alc_config_preset alc680_presets[] = {
+	[ALC680_BASE] = {
+		.mixers = { alc680_base_mixer },
+		.init_verbs = { alc680_init_verbs },
+		.num_dacs = ARRAY_SIZE(alc680_dac_nids),
+		.dac_nids = alc680_dac_nids,
+                .num_adc_nids = ARRAY_SIZE(alc680_adc_nids),
+                .adc_nids = alc680_adc_nids,
+/*		.capsrc_nids = alc680_capsrc_nids,*/
+		.hp_nid = 0x04,
+		.dig_out_nid = ALC680_DIGOUT_NID,
+		.num_channel_mode = ARRAY_SIZE(alc680_modes),
+		.channel_mode = alc680_modes,
+		.input_mux = &alc680_capture_source,
+	},
+};
+
+static int patch_alc680(struct hda_codec *codec)
+{
+	struct alc_spec *spec;
+	int board_config;
+	int err;
+
+	spec = kzalloc(sizeof(*spec), GFP_KERNEL);
+	if (spec == NULL)
+		return -ENOMEM;
+
+	codec->spec = spec;
+
+	board_config = snd_hda_check_board_config(codec, ALC680_MODEL_LAST,
+						  alc680_models,
+						  alc680_cfg_tbl);
+
+	if (board_config < 0 || board_config >= ALC680_MODEL_LAST) {
+		printk(KERN_INFO "hda_codec: %s: BIOS auto-probing.\n",
+		       codec->chip_name);
+		board_config = ALC680_AUTO;
+	}
+
+	if (board_config == ALC680_AUTO) {
+		/* automatic parse from the BIOS config */
+		err = alc680_parse_auto_config(codec);
+		if (err < 0) {
+			alc_free(codec);
+			return err;
+		} else if (!err) {
+			printk(KERN_INFO
+			       "hda_codec: Cannot set up configuration "
+			       "from BIOS.  Using base mode...\n");
+			board_config = ALC680_BASE;
+		}
+	}
+
+	if (board_config != ALC680_AUTO)
+		setup_preset(codec, &alc680_presets[board_config]);
+
+	spec->stream_analog_playback = &alc680_pcm_analog_playback;
+	spec->stream_analog_capture = &alc680_pcm_analog_capture;
+	spec->stream_analog_alt_capture = &alc680_pcm_analog_alt_capture;
+	spec->stream_digital_playback = &alc680_pcm_digital_playback;
+
+	if (!spec->adc_nids) {
+		spec->adc_nids = alc680_adc_nids;
+		spec->num_adc_nids = ARRAY_SIZE(alc680_adc_nids);
+	}
+
+	if (!spec->cap_mixer)
+		set_capture_mixer(codec);
+
+	spec->vmaster_nid = 0x02;
+
+	codec->patch_ops = alc_patch_ops;
+	if (board_config == ALC680_AUTO)
+		spec->init_hook = alc680_auto_init;
+
+	return 0;
+}
+
 static int patch_alc888(struct hda_codec *codec)
 {
 	if ((alc_read_coef_idx(codec, 0) & 0x00f0)==0x0030){
@@ -18782,6 +19156,7 @@
 	{ .id = 0x10ec0663, .name = "ALC663", .patch = patch_alc662 },
 	{ .id = 0x10ec0665, .name = "ALC665", .patch = patch_alc662 },
 	{ .id = 0x10ec0670, .name = "ALC670", .patch = patch_alc662 },
+	{ .id = 0x10ec0680, .name = "ALC680", .patch = patch_alc680 },
 	{ .id = 0x10ec0880, .name = "ALC880", .patch = patch_alc880 },
 	{ .id = 0x10ec0882, .name = "ALC882", .patch = patch_alc882 },
 	{ .id = 0x10ec0883, .name = "ALC883", .patch = patch_alc882 },
diff -Nur alsa-driver-1.0.23/toplevel.config alsa-driver-1.0.23-5.15rc1/toplevel.config
--- alsa-driver-1.0.23/toplevel.config	2010-04-16 13:17:35.000000000 +0200
+++ alsa-driver-1.0.23-5.15rc1/toplevel.config	2010-04-30 10:41:45.000000000 +0200
@@ -12,21 +12,21 @@
 CONFIG_SND_PCM=m
 CONFIG_GCD=
 CONFIG_SND_HWDEP=m
-CONFIG_SND_RAWMIDI=m
-CONFIG_SND_JACK=
+CONFIG_SND_RAWMIDI=
+CONFIG_SND_JACK=y
 CONFIG_SND_SEQUENCER=m
-CONFIG_SND_SEQ_DUMMY=m
+CONFIG_SND_SEQ_DUMMY=
 CONFIG_SND_OSSEMUL=y
 CONFIG_SND_MIXER_OSS=m
 CONFIG_SND_PCM_OSS=m
 CONFIG_SND_PCM_OSS_PLUGINS=y
 CONFIG_SND_SEQUENCER_OSS=y
 CONFIG_SND_HRTIMER=
-CONFIG_HIGH_RES_TIMERS=
+CONFIG_HIGH_RES_TIMERS=y
 CONFIG_SND_SEQ_HRTIMER_DEFAULT=
-CONFIG_SND_RTCTIMER=m
-CONFIG_RTC=y
-CONFIG_SND_SEQ_RTCTIMER_DEFAULT=y
+CONFIG_SND_RTCTIMER=
+CONFIG_RTC=
+CONFIG_SND_SEQ_RTCTIMER_DEFAULT=
 CONFIG_SND_DYNAMIC_MINORS=
 CONFIG_SND_SUPPORT_OLD_API=y
 CONFIG_SND_VERBOSE_PROCFS=y
@@ -36,134 +36,134 @@
 CONFIG_SND_DEBUG_VERBOSE=
 CONFIG_SND_PCM_XRUN_DEBUG=
 CONFIG_SND_VMASTER=y
-CONFIG_SND_DMA_SGBUF=
-CONFIG_X86=
-CONFIG_SND_RAWMIDI_SEQ=m
-CONFIG_SND_OPL3_LIB_SEQ=m
-CONFIG_SND_OPL3_LIB=m
-CONFIG_SND_OPL4_LIB_SEQ=m
-CONFIG_SND_OPL4_LIB=m
-CONFIG_SND_SBAWE_SEQ=m
-CONFIG_SND_SBAWE=m
-CONFIG_SND_EMU10K1_SEQ=m
-CONFIG_SND_EMU10K1=m
+CONFIG_SND_DMA_SGBUF=y
+CONFIG_X86=y
+CONFIG_SND_RAWMIDI_SEQ=
+CONFIG_SND_OPL3_LIB_SEQ=
+CONFIG_SND_OPL3_LIB=
+CONFIG_SND_OPL4_LIB_SEQ=
+CONFIG_SND_OPL4_LIB=
+CONFIG_SND_SBAWE_SEQ=
+CONFIG_SND_SBAWE=
+CONFIG_SND_EMU10K1_SEQ=
+CONFIG_SND_EMU10K1=
 CONFIG_SND_BIT32_EMUL=
 CONFIG_SND_DEBUG_MEMORY=
 CONFIG_SND_HPET=
 CONFIG_HPET=y
 CONFIG_BROKEN=
-CONFIG_SND_MPU401_UART=m
-CONFIG_SND_VX_LIB=m
-CONFIG_SND_AC97_CODEC=m
+CONFIG_SND_MPU401_UART=
+CONFIG_SND_VX_LIB=
+CONFIG_SND_AC97_CODEC=
 CONFIG_SND_DRIVERS=y
 CONFIG_SND_PCSP=
-CONFIG_PCSPKR_PLATFORM=
+CONFIG_PCSPKR_PLATFORM=y
 CONFIG_INPUT=y
 CONFIG_EXPERIMENTAL=y
-CONFIG_SND_DUMMY=m
-CONFIG_SND_VIRMIDI=m
-CONFIG_SND_MTPAV=m
-CONFIG_SND_MTS64=m
+CONFIG_SND_DUMMY=
+CONFIG_SND_VIRMIDI=
+CONFIG_SND_MTPAV=
+CONFIG_SND_MTS64=
 CONFIG_PARPORT=y
-CONFIG_SND_SERIAL_U16550=m
-CONFIG_SND_MPU401=m
-CONFIG_SND_PORTMAN2X4=m
+CONFIG_SND_SERIAL_U16550=
+CONFIG_SND_MPU401=
+CONFIG_SND_PORTMAN2X4=
 CONFIG_SND_ML403_AC97CR=
 CONFIG_XILINX_VIRTEX=
-CONFIG_SND_AC97_POWER_SAVE=y
-CONFIG_SND_AC97_POWER_SAVE_DEFAULT=0
+CONFIG_SND_AC97_POWER_SAVE=
+CONFIG_SND_AC97_POWER_SAVE_DEFAULT=
 CONFIG_SND_SERIALMIDI=
-CONFIG_SND_LOOPBACK=m
-CONFIG_SND_WSS_LIB=m
-CONFIG_SND_SB_COMMON=m
-CONFIG_SND_SB8_DSP=m
-CONFIG_SND_SB16_DSP=m
+CONFIG_SND_LOOPBACK=
+CONFIG_SND_WSS_LIB=
+CONFIG_SND_SB_COMMON=
+CONFIG_SND_SB8_DSP=
+CONFIG_SND_SB16_DSP=
 CONFIG_SND_ISA=y
 CONFIG_ISA=y
 CONFIG_ISA_DMA_API=y
-CONFIG_SND_ADLIB=m
-CONFIG_SND_AD1816A=m
+CONFIG_SND_ADLIB=
+CONFIG_SND_AD1816A=
 CONFIG_PNP=y
 CONFIG_ISAPNP=y
-CONFIG_SND_AD1848=m
-CONFIG_SND_ALS100=m
-CONFIG_SND_AZT2320=m
-CONFIG_SND_CMI8330=m
-CONFIG_SND_CS4231=m
-CONFIG_SND_CS4236=m
-CONFIG_SND_ES968=m
-CONFIG_SND_ES1688=m
-CONFIG_SND_ES18XX=m
+CONFIG_SND_AD1848=
+CONFIG_SND_ALS100=
+CONFIG_SND_AZT2320=
+CONFIG_SND_CMI8330=
+CONFIG_SND_CS4231=
+CONFIG_SND_CS4236=
+CONFIG_SND_ES968=
+CONFIG_SND_ES1688=
+CONFIG_SND_ES18XX=
 CONFIG_SND_SC6000=
-CONFIG_HAS_IOPORT=
-CONFIG_SND_GUSCLASSIC=m
-CONFIG_SND_GUSEXTREME=m
-CONFIG_SND_GUSMAX=m
-CONFIG_SND_INTERWAVE=m
-CONFIG_SND_INTERWAVE_STB=m
-CONFIG_SND_JAZZ16=m
-CONFIG_SND_OPL3SA2=m
-CONFIG_SND_OPTI92X_AD1848=m
-CONFIG_SND_OPTI92X_CS4231=m
-CONFIG_SND_OPTI93X=m
-CONFIG_SND_MIRO=m
-CONFIG_SND_SB8=m
-CONFIG_SND_SB16=m
-CONFIG_SND_SB16_CSP=y
+CONFIG_HAS_IOPORT=y
+CONFIG_SND_GUSCLASSIC=
+CONFIG_SND_GUSEXTREME=
+CONFIG_SND_GUSMAX=
+CONFIG_SND_INTERWAVE=
+CONFIG_SND_INTERWAVE_STB=
+CONFIG_SND_JAZZ16=
+CONFIG_SND_OPL3SA2=
+CONFIG_SND_OPTI92X_AD1848=
+CONFIG_SND_OPTI92X_CS4231=
+CONFIG_SND_OPTI93X=
+CONFIG_SND_MIRO=
+CONFIG_SND_SB8=
+CONFIG_SND_SB16=
+CONFIG_SND_SB16_CSP=
 CONFIG_PPC=
-CONFIG_FW_LOADER=m
-CONFIG_SND_SGALAXY=m
-CONFIG_SND_SSCAPE=m
-CONFIG_SND_WAVEFRONT=m
+CONFIG_FW_LOADER=y
+CONFIG_SND_SGALAXY=
+CONFIG_SND_SSCAPE=
+CONFIG_SND_WAVEFRONT=
 CONFIG_SND_MSND_PINNACLE=
 CONFIG_SND_MSND_CLASSIC=
 CONFIG_SND_PC98_CS4232=
 CONFIG_X86_PC9800=
 CONFIG_SND_PCI=y
 CONFIG_PCI=y
-CONFIG_SND_AD1889=m
-CONFIG_SND_ALS300=m
-CONFIG_SND_ALS4000=m
-CONFIG_SND_ALI5451=m
-CONFIG_SND_ATIIXP=m
-CONFIG_SND_ATIIXP_MODEM=m
-CONFIG_SND_AU8810=m
-CONFIG_SND_AU8820=m
-CONFIG_SND_AU8830=m
-CONFIG_SND_AW2=m
-CONFIG_SND_AZT3328=m
-CONFIG_SND_BT87X=m
-CONFIG_SND_BT87X_OVERCLOCK=y
-CONFIG_SND_CA0106=m
-CONFIG_SND_CMIPCI=m
-CONFIG_SND_OXYGEN_LIB=m
-CONFIG_SND_OXYGEN=m
-CONFIG_SND_CS4281=m
-CONFIG_SND_CS46XX=m
-CONFIG_SND_CS46XX_NEW_DSP=y
-CONFIG_SND_CS5530=m
-CONFIG_SND_CS5535AUDIO=m
-CONFIG_SND_CTXFI=m
-CONFIG_SND_DARLA20=m
-CONFIG_SND_GINA20=m
-CONFIG_SND_LAYLA20=m
-CONFIG_SND_DARLA24=m
-CONFIG_SND_GINA24=m
-CONFIG_SND_LAYLA24=m
-CONFIG_SND_MONA=m
-CONFIG_SND_MIA=m
-CONFIG_SND_ECHO3G=m
-CONFIG_SND_INDIGO=m
-CONFIG_SND_INDIGOIO=m
-CONFIG_SND_INDIGODJ=m
-CONFIG_SND_INDIGOIOX=m
-CONFIG_SND_INDIGODJX=m
-CONFIG_SND_EMU10K1X=m
-CONFIG_SND_ENS1370=m
-CONFIG_SND_ENS1371=m
-CONFIG_SND_ES1938=m
-CONFIG_SND_ES1968=m
-CONFIG_SND_FM801=m
+CONFIG_SND_AD1889=
+CONFIG_SND_ALS300=
+CONFIG_SND_ALS4000=
+CONFIG_SND_ALI5451=
+CONFIG_SND_ATIIXP=
+CONFIG_SND_ATIIXP_MODEM=
+CONFIG_SND_AU8810=
+CONFIG_SND_AU8820=
+CONFIG_SND_AU8830=
+CONFIG_SND_AW2=
+CONFIG_SND_AZT3328=
+CONFIG_SND_BT87X=
+CONFIG_SND_BT87X_OVERCLOCK=
+CONFIG_SND_CA0106=
+CONFIG_SND_CMIPCI=
+CONFIG_SND_OXYGEN_LIB=
+CONFIG_SND_OXYGEN=
+CONFIG_SND_CS4281=
+CONFIG_SND_CS46XX=
+CONFIG_SND_CS46XX_NEW_DSP=
+CONFIG_SND_CS5530=
+CONFIG_SND_CS5535AUDIO=
+CONFIG_SND_CTXFI=
+CONFIG_SND_DARLA20=
+CONFIG_SND_GINA20=
+CONFIG_SND_LAYLA20=
+CONFIG_SND_DARLA24=
+CONFIG_SND_GINA24=
+CONFIG_SND_LAYLA24=
+CONFIG_SND_MONA=
+CONFIG_SND_MIA=
+CONFIG_SND_ECHO3G=
+CONFIG_SND_INDIGO=
+CONFIG_SND_INDIGOIO=
+CONFIG_SND_INDIGODJ=
+CONFIG_SND_INDIGOIOX=
+CONFIG_SND_INDIGODJX=
+CONFIG_SND_EMU10K1X=
+CONFIG_SND_ENS1370=
+CONFIG_SND_ENS1371=
+CONFIG_SND_ES1938=
+CONFIG_SND_ES1968=
+CONFIG_SND_FM801=
 CONFIG_SND_FM801_TEA575X_BOOL=
 CONFIG_VIDEO_V4L2=y
 CONFIG_SND_FM801_TEA575X=
@@ -190,34 +190,34 @@
 CONFIG_SND_HDA_GENERIC=y
 CONFIG_SND_HDA_POWER_SAVE=y
 CONFIG_SND_HDA_POWER_SAVE_DEFAULT=0
-CONFIG_SND_HDSP=m
-CONFIG_SND_HDSPM=m
-CONFIG_SND_HIFIER=m
+CONFIG_SND_HDSP=
+CONFIG_SND_HDSPM=
+CONFIG_SND_HIFIER=
 CONFIG_SND_ICE1712=
 CONFIG_BITREVERSE=
-CONFIG_SND_ICE1724=m
-CONFIG_SND_INTEL8X0=m
-CONFIG_SND_INTEL8X0M=m
-CONFIG_SND_KORG1212=m
-CONFIG_SND_LX6464ES=m
-CONFIG_SND_MAESTRO3=m
-CONFIG_SND_MIXART=m
-CONFIG_SND_NM256=m
-CONFIG_SND_PCXHR=m
-CONFIG_SND_RIPTIDE=m
-CONFIG_SND_RME32=m
-CONFIG_SND_RME96=m
-CONFIG_SND_RME9652=m
+CONFIG_SND_ICE1724=
+CONFIG_SND_INTEL8X0=
+CONFIG_SND_INTEL8X0M=
+CONFIG_SND_KORG1212=
+CONFIG_SND_LX6464ES=
+CONFIG_SND_MAESTRO3=
+CONFIG_SND_MIXART=
+CONFIG_SND_NM256=
+CONFIG_SND_PCXHR=
+CONFIG_SND_RIPTIDE=
+CONFIG_SND_RME32=
+CONFIG_SND_RME96=
+CONFIG_SND_RME9652=
 CONFIG_SND_SIS7019=
 CONFIG_X86_64=
-CONFIG_SND_SONICVIBES=m
-CONFIG_SND_TRIDENT=m
-CONFIG_SND_VIA82XX=m
-CONFIG_SND_VIA82XX_MODEM=m
-CONFIG_SND_VIRTUOSO=m
-CONFIG_SND_VX222=m
-CONFIG_SND_YMFPCI=m
-CONFIG_SND_PDPLUS=m
+CONFIG_SND_SONICVIBES=
+CONFIG_SND_TRIDENT=
+CONFIG_SND_VIA82XX=
+CONFIG_SND_VIA82XX_MODEM=
+CONFIG_SND_VIRTUOSO=
+CONFIG_SND_VX222=
+CONFIG_SND_YMFPCI=
+CONFIG_SND_PDPLUS=
 CONFIG_SND_ASIHPI=
 CONFIG_SND_PPC=
 CONFIG_SND_POWERMAC=
@@ -280,17 +280,17 @@
 CONFIG_CPU_SH3=
 CONFIG_SND_USB=y
 CONFIG_USB=y
-CONFIG_SND_USB_AUDIO=m
+CONFIG_SND_USB_AUDIO=
 CONFIG_SND_USB_UA101=
 CONFIG_SND_USB_USX2Y=
 CONFIG_ALPHA=
-CONFIG_SND_USB_CAIAQ=m
-CONFIG_SND_USB_CAIAQ_INPUT=y
+CONFIG_SND_USB_CAIAQ=
+CONFIG_SND_USB_CAIAQ_INPUT=
 CONFIG_SND_USB_US122L=
 CONFIG_SND_PCMCIA=y
 CONFIG_PCMCIA=y
-CONFIG_SND_VXPOCKET=m
-CONFIG_SND_PDAUDIOCF=m
+CONFIG_SND_VXPOCKET=
+CONFIG_SND_PDAUDIOCF=
 CONFIG_SND_SPARC=
 CONFIG_SPARC=
 CONFIG_SND_SUN_AMD7930=
@@ -300,7 +300,7 @@
 CONFIG_SND_GSC=
 CONFIG_GSC=
 CONFIG_SND_HARMONY=
-CONFIG_SND_SOC=m
+CONFIG_SND_SOC=
 CONFIG_SND_SOC_AC97_BUS=
 CONFIG_SND_ATMEL_SOC=
 CONFIG_SND_ATMEL_SOC_SSC=
@@ -345,7 +345,7 @@
 CONFIG_MACH_DAVINCI_EVM=
 CONFIG_MACH_DAVINCI_DM355_EVM=
 CONFIG_MACH_DAVINCI_DM365_EVM=
-CONFIG_SND_DM365_AIC3X_CODEC=y
+CONFIG_SND_DM365_AIC3X_CODEC=
 CONFIG_SND_DM365_VOICE_CODEC=
 CONFIG_MFD_DAVINCI_VOICECODEC=
 CONFIG_SND_DM6467_SOC_EVM=
@@ -504,9 +504,9 @@
 CONFIG_TXX9_DMAC=
 CONFIG_SND_SOC_TXX9ACLC_AC97=
 CONFIG_SND_SOC_TXX9ACLC_GENERIC=
-CONFIG_SND_SOC_I2C_AND_SPI=m
+CONFIG_SND_SOC_I2C_AND_SPI=
 CONFIG_SND_SOC_ALL_CODECS=
-CONFIG_SND_SOC_WM_HUBS=m
+CONFIG_SND_SOC_WM_HUBS=
 CONFIG_SND_SOC_AC97_CODEC=
 CONFIG_SND_SOC_AD1836=
 CONFIG_SND_SOC_AD193X=
@@ -570,4 +570,4 @@
 CONFIG_SND_SOC_TPA6130A2=
 CONFIG_SND_SOC_WM2000=
 CONFIG_SOUND_PRIME=
-CONFIG_AC97_BUS=m
+CONFIG_AC97_BUS=
diff -Nur alsa-driver-1.0.23/utils/buildrpm alsa-driver-1.0.23-5.15rc1/utils/buildrpm
--- alsa-driver-1.0.23/utils/buildrpm	2010-04-16 13:17:35.000000000 +0200
+++ alsa-driver-1.0.23-5.15rc1/utils/buildrpm	2010-04-30 10:41:45.000000000 +0200
@@ -1,6 +1,6 @@
 #!/bin/bash
 
-kversion=2.6.17.8-default
+kversion=2.6.27-7-generic
 source=.
 version=`cat $source/../version`
 package=$source/../../alsa-driver-$version.tar.bz2
Binärdateien alsa-driver-1.0.23/utils/mod-deps and alsa-driver-1.0.23-5.15rc1/utils/mod-deps sind verschieden.
